## "Microsoft is ending support for the Windows Subsystem for Android™️ (WSA). As a result, the Amazon Appstore on Windows and all applications and games dependent on WSA will no longer be supported beginning March 5, 2025." 
###### (Source: [GitHub](https://github.com/microsoft/WSA/discussions/536) and [Microsoft Learn](https://learn.microsoft.com/en-us/windows/android/wsa/))
---
### WSABuilds has entered LTS (Long Term Support) for WSA version 2311.40000.5.0, where the Magisk version, KernelSU version and GApps version will be kept up to date via new releases.
### This repo will not be archived and support will still be given to any users installing WSA Builds from this repo. Thank you all for using this repository and supporting my work, its been a pleasure serving this community. 

---

## Next LTS Release Date:
### WSABuilds LTS 1: ~~``Wednesday 03rd April 2024``~~ **Available Now**  
### WSABuilds LTS 2: ``Wednesday 03rd May 2024``
---
<br/>
<br/>
<p align="center">
<a href="https://github.com/MustardChef/WSABuilds#downloads"><img src="https://img.shields.io/github/downloads/MustardChef/WSABuilds/total?label=Total%20Downloads&amp;style=for-the-badge"/></a> <a href="https://forum.xda-developers.com/t/wsabuilds-latest-windows-subsystem-for-android-wsa-builds-for-   windows-10-and-11-with-magisk-and-google-play-store.4545087/"><img src="https://img.shields.io/badge/XDA%20Developers-WSABuilds-EA7100?style=for-the-badge&amp;logoColor=white&amp;logo=XDA-Developers"/></a> <a href="https://ko-fi.com/N4N0K08AC"><img alt="ko-fi" src="https://ko-fi.com/img/githubbutton_sm.svg"/></a>
</p>
<picture><img align="left" height="20%" src="https://github.com/MustardChef/WSABuilds/assets/68516357/35cd1d5d-e464-4eb8-a676-b451341f65ad" width="20%"/></picture>
<h1>WSABuilds</h1>
<h3>MagiskOnWSA (For Windows™ 10 and 11)</h3>
<h5>Windows Subsystem For Android™ (WSA) with Google Play Services and Magisk and KernelSU</h5>
<br/><a href="https://discord.gg/2thee7zzHZ"><img align="right" src="https://invidget.switchblade.xyz/2thee7zzHZ" style="width: 400px;"/></a>
<br/> <br/> <br/> <br/>
<img align="left" alt="downloads-folder" height="54" src="https://img.icons8.com/3d-fluency/94/downloads-folder.png" width="54"/><h2>Downloads</h2>
<div align="center">
<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Information.md"><img height="35" src="https://img.icons8.com/3d-fluency/94/ok.png" style="float: left;" width="35"/><h3><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Information.md">   WSABuilds Project Status</a></h3></a></summary>
<center><h3>⚠️❗IMPORTANT: Read Before Downloading❗⚠️</h3></center>
<div align="left">  
   
## WSABuilds Repo Info

#### Known Issues that may affect your WSA experiences:
- ***GApps Issues : https://github.com/LSPosed/MagiskOnWSALocal/issues/595***
- ***Folder Issue : Long folder name for the WSA Folder (auto generated by the MagiskOnWSALocal script) may cause WSA to not start. Rename the folder to ``WSA`` after extracting and before installing WSA.***
- ***Installed Magisk Modules disappear after install and subsequent reboot (WSA v2307):*** https://github.com/MustardChef/WSABuilds/issues/154
</div>
<table>
<thead>
<tr>
<th>WSA Version:</th>
<th><img src="https://upload.wikimedia.org/wikipedia/commons/e/e6/Windows_11_logo.svg" width="200"/></th>
<th><img src="https://upload.wikimedia.org/wikipedia/commons/0/05/Windows_10_Logo.svg" width="200"/></th>
</tr>
</thead>
<tbody>
<tr>
<td>v2210.40000.7.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2211.40000.10.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2211.40000.11.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2301.40000.4.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2301.40000.7.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2302.40000.6.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2302.40000.8.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2302.40000.9.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2303.40000.2.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2303.40000.3.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2303.40000.4.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2303.40000.5.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2304.40000.5.0</td>
<td><a href="https://github.com/LSPosed/MagiskOnWSALocal/issues/550">⚠️</a></td>
<td><a href="https://github.com/cinit/WSAPatch/issues/33">⛔</a></td>
</tr>
<tr>
<td>v2304.40000.6.0</td>
<td><a href="https://github.com/LSPosed/MagiskOnWSALocal/issues/550">⚠️</a></td>
<td><a href="https://github.com/cinit/WSAPatch/issues/33">⛔</a></td>
</tr>
<tr>
<td>v2304.40000.7.0</td>
<td>✅</td>
<td><a href="https://github.com/cinit/WSAPatch/issues/33">⛔</a></td>
</tr>
<tr>
<td>v2304.40000.10.0</td>
<td>✅</td>
<td><a href="https://github.com/cinit/WSAPatch/issues/33">⛔</a></td>
</tr>
<tr>
<td>v2305.40000.2.0</td>
<td>✅</td>
<td><a href="https://github.com/cinit/WSAPatch/issues/33">⛔</a></td>
</tr>
<tr>
<td>v2305.40000.3.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2305.40000.4.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2305.40000.5.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2305.40000.6.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2306.40000.1.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2306.40000.2.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2306.40000.3.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2306.40000.4.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2307.40000.2.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2307.40000.3.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2307.40000.5.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2307.40000.6.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2308.40000.1.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td><b><i>v2308.40000.2.0<i><b></b></i></i></b></td>
<td colspan="2">Update Skipped to allow time for adjusting the Docs and the build script (MagiskOnWSALocal). <br/> Sorry for any Inconvenence. Updates will resume as normal after this.</td>
</tr>
<tr>
<td>v2308.40000.3.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2309.40000.2.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td><b><i>v2309.40000.4.0<i> to <i>2310.40000.1.0 and 2311.40000.3.0<i><b></b></i></i></i></i></b></td>
<td colspan="2" rowspan="1">"Updates have been skipped, in order to allow time to switch to GitHub Actions from my Linux Server, which I have been using since the start of the GitHub repo. Rest assure that this will likely be the last disruption. Once again I appologise and would also like to thank you for using this repo."<br/><br/>MustardChef<br/></td>
</tr>
<tr>
<td>v2310.40000.2.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2311.40000.4.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2311.40000.5.0</td>
<td>✅</td>
<td>✅</td>
</tr>
<tr>
<td>v2311.40000.5.0_LTS_1</td>
<td>➖</td>
<td>➖</td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th colspan="4">Indicator Keys</th>
</tr>
</thead>
<tbody>
<tr>
<td>✅</td>
<td>Stable</td>
<td colspan="2">Everything works as intended. <br/> If you think that the build is not stable, please open a <a href="https://github.com/MustardChef/WSABuilds/issues" rel="noopener noreferrer" target="_blank">GitHub Issue</a> or report the issue in our <a href="https://discord.gg/2thee7zzHZ" rel="noopener noreferrer" target="_blank">Discord</a></td>
</tr>
<tr>
<td>⚠️</td>
<td>Unstable</td>
<td>Experience may not be smooth due to known bugs or issues</td>
<td><b><i><u>Click on the Emoji for more information<b><i></i></b></u></i></b></td>
</tr>
<tr>
<td>⛔</td>
<td>Not Working</td>
<td>Build is not working. DO NOT DOWNLOAD! </td>
<td><b><i><u>Click on the Emoji for more information<b><i></i></b></u></i></b></td>
</tr>
<tr>
<td>➖</td>
<td>No Information Yet</td>
<td colspan="2">Not enough information to confirm status. Please join the <a href="https://discord.gg/2thee7zzHZ" rel="noopener noreferrer" target="_blank">Discord</a> and confirm whether or not the builds are working.</td>
</tr>
</tbody>
</table>
<br/>
<br/>
</details>
</div>
<br/>
<table>
<thead>
<tr>
<th><b><i>Download Variant</i></b></th>
<th><img alt="Image" height="28" src="https://img.shields.io/badge/Pre--Release%20Builds-%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20-orange?style=for-the-badge" width="223"/></th>
<th colspan="2"><img alt="Image" src="https://img.shields.io/badge/Stable%20Builds-%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20%E2%80%8E%20-blue?style=for-the-badge"/></th>
</tr>
</thead>
<tbody>
<tr>
<td rowspan="2"><b>Differences:</b></td>
<td><del>Follows "WSA Preview Program Channel"</del> <h4>WSABuilds LTS Releases</h4><br/></td>
<td colspan="2"><del>Follows the "WSA Retail" or "Insider Fast Channel" <br/></del></td>
</tr>
<tr>
<td><del>Builds are generally newer than the "WSA Retail" and "Insider Fast Channel"</del><br/></td>
<td colspan="2"><del>Builds are generally more stable than the builds in the "WSA Preview Program Channel"</del></td>
</tr>
<tr>
<td><b>Current Version:</b></td>
<td>2311.40000.5.0_LTS_1</td>
<td colspan="2">2311.40000.5.0</td>
</tr>
<tr>
<td><b>Release Date:</b></td>
<td>03/04/2024</td>
<td colspan="2">10/01/2024</td>
</tr>
<tr>
<td>Update Frequency:</td>
<td><del>Multple Releases Every Month</del></td>
<td colspan="2"><del>Once Every Month</del></td>
</tr>
</tbody>
</table>
<table>
<thead>
<tr>
<th>Operating System</th>
<th>Download Page</th>
<th>Download Mirror</th>
</tr>
</thead>
<tbody>
<tr>
<td rowspan="4"><img src="https://upload.wikimedia.org/wikipedia/commons/e/e6/Windows_11_logo.svg" style="width: 200px;"/></td>
<td><p><a href="https://github.com/MustardChef/WSABuilds/releases/tag/Windows_11_Build"><img alt="win11x64downpre" src="https://img.shields.io/badge/Download%20Latest%20Pre--Release%20Builds-Windows%2011%20x64-orange?style=for-the-badge&amp;logo=windows11"/></a></p></td>
<td rowspan="2"><p><a href="https://x6cgr-my.sharepoint.com/:f:/g/personal/mcdt_x6cgr_onmicrosoft_com/EoVMTqCKkgVFvFlJTcz1u0gBdOBqLIwjT-9okE8eCpp3Aw?e=7y5PIT"><img src="https://img.shields.io/badge/OneDrive-white?style=for-the-badge&amp;logo=Microsoft%20OneDrive&amp;logoColor=0078D4" style="width: 150px;"/></a></p></td>
</tr>
<tr>
<td><p><a href="https://github.com/MustardChef/WSABuilds/releases/tag/Windows_11_Build_arm64"><img alt="win11arm64downpre" src="https://img.shields.io/badge/Download%20Latest%20Pre--Release%20Builds-Windows%2011%20arm64-orange?style=for-the-badge&amp;logo=windows11"/></a></p></td>
</tr>
<tr>
<td><p><a href="https://github.com/MustardChef/WSABuilds/releases/tag/Windows_11_2311.40000.5.0"><img alt="win11x64downstable" src="https://img.shields.io/badge/Download%20Latest%20Stable%20Builds-Windows%2011%20x64-blue?style=for-the-badge&amp;logo=windows11"/></a></p></td>
<td rowspan="2"><p><a href="https://x6cgr-my.sharepoint.com/:f:/g/personal/mcdt_x6cgr_onmicrosoft_com/EoVMTqCKkgVFvFlJTcz1u0gBdOBqLIwjT-9okE8eCpp3Aw?e=7y5PIT"><img src="https://img.shields.io/badge/OneDrive-white?style=for-the-badge&amp;logo=Microsoft%20OneDrive&amp;logoColor=0078D4" style="width: 150px;"/></a></p>
</td>
</tr>
<tr>
<td><p><a href="https://github.com/MustardChef/WSABuilds/releases/tag/Windows_11_2311.40000.5.0_arm64"><img alt="win11arm64downstable" src="https://img.shields.io/badge/Download%20Latest%20Stable%20Builds-Windows%2011%20arm64-blue?style=for-the-badge&amp;logo=windows11"/></a></p></td>
</tr>
<tr>
<td rowspan="2"><img src="https://upload.wikimedia.org/wikipedia/commons/0/05/Windows_10_Logo.svg" style="width: 200px;"/></td>
<td><p><a href="https://github.com/MustardChef/WSABuilds/releases/tag/Windows_10_Build"><img alt="win10x64down" src="https://img.shields.io/badge/Download%20Latest%20Pre--Release%20Builds-Windows%2010%20x64-orange?style=for-the-badge&amp;logo=windows"/></a></p></td>
<td><p><a href="https://x6cgr-my.sharepoint.com/:f:/g/personal/mcdt_x6cgr_onmicrosoft_com/Enm0Tn0BRMlFmrfCWP9Omf0BCiQU0zybeXZtAyOfOVSQqA?e=v6UQyp"><img src="https://img.shields.io/badge/OneDrive-white?style=for-the-badge&amp;logo=Microsoft%20OneDrive&amp;logoColor=0078D4" style="width: 150px;"/></a></p>
</td>
</tr>
<tr>
<td><p><a href="https://github.com/MustardChef/WSABuilds/releases/tag/Windows_10_2311.40000.5.0"><img alt="win10x64down" src="https://img.shields.io/badge/Download%20Latest%20Stable%20Builds-Windows%2010%20x64-blue?style=for-the-badge&amp;logo=windows"/></a></p></td>
<td><p><a href="https://x6cgr-my.sharepoint.com/:f:/g/personal/mcdt_x6cgr_onmicrosoft_com/Enm0Tn0BRMlFmrfCWP9Omf0BCiQU0zybeXZtAyOfOVSQqA?e=v6UQyp"><img src="https://img.shields.io/badge/OneDrive-white?style=for-the-badge&amp;logo=Microsoft%20OneDrive&amp;logoColor=0078D4" style="width: 150px;"/></a></p></td>
</tr>
<tr>
<td rowspan="2"><p align="center"><img src="https://img.icons8.com/color/240/null/windows-11.png" style="width: 50px;"/><img src="https://img.icons8.com/color/240/null/windows-10.png" style="width: 50px;"/></p></td>
<td rowspan="2"><p><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/OldBuilds.md"><img alt="windownold" src="https://img.shields.io/badge/Windows%2010%2F11-Older%20Builds-red?style=for-the-badge"/></a></p></td>
<td rowspan="2"><p><a href="https://x6cgr-my.sharepoint.com/:f:/g/personal/mcdt_x6cgr_onmicrosoft_com/EgNsfSstHBtIuAZgiNVkanYBTwu0kKVC_QvOiW7i0IojdQ"><img src="https://img.shields.io/badge/OneDrive-white?style=for-the-badge&amp;logo=Microsoft%20OneDrive&amp;logoColor=0078D4" style="width: 150px;"/></a></p></td>
</tr>
<tr>
</tr>
<tr>
<td rowspan="2"><p align="center"><img src="https://img.icons8.com/color/240/null/windows-11.png" style="width: 50px;"/> <img src="https://img.icons8.com/color/240/null/windows-10.png" style="width: 50px;"/></p></td>
<td rowspan="2"><h4>Custom Builds:<h4><p><a href="https://github.com/MustardChef/WSAMagiskDelta"><img alt="windownmagikdelta" src="https://img.shields.io/badge/Windows%2010%2F11-Magisk%20Delta-382bef?style=for-the-badge"/></a></p></h4></h4></td>
<td rowspan="2"></td>
</tr>
<tr>
</tr>
<tr>
<td rowspan="2"><picture><p align="center"><img align="centre;" src="https://user-images.githubusercontent.com/68516357/216452358-8137df76-875f-4b59-b77d-ca34c8a2d6d3.png" style="width: 80px;"/></p></picture></td>
<td rowspan="2"><p><a href="https://github.com/MustardChef/WSAPackages"><img src="https://img.shields.io/badge/Download-.msix%20Sources-3A6B35?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/></a></p></td>
<td rowspan="2"><p><a href="https://x6cgr-my.sharepoint.com/:f:/g/personal/mcdt_x6cgr_onmicrosoft_com/EgSWYr5JLjFNkSmNydPNFKsBJAlCKj61c6BbbbVGPglASA?e=weIk7y"><img src="https://img.shields.io/badge/OneDrive-white?style=for-the-badge&amp;logo=Microsoft%20OneDrive&amp;logoColor=0078D4" style="width: 150px;"/></a></p></td>
</tr>
<tr>
</tr>
</tbody>
</table>

 

      
      
<img align="left" alt="system-information" height="58" src="https://img.icons8.com/fluency/48/system-information.png" width="58"/><h2>Requirements</h2>
<center><table>
<thead>
<tr>
<th></th>
<th><img src="https://upload.wikimedia.org/wikipedia/commons/e/e6/Windows_11_logo.svg" style="width: 200px;"/></th>
<th><img src="https://upload.wikimedia.org/wikipedia/commons/0/05/Windows_10_Logo.svg" style="width: 200px;"/></th>
</tr>
</thead>
<tbody>
<tr>
<td rowspan="2"><img height="60" src="https://img.icons8.com/fluency/96/null/windows-update--v1.png" style="float: left;" width="60"/><h4>Windows Build Number<h4></h4></h4></td>
<td>Windows™ 11: Build 22000.526 or higher.</td>
<td>Windows™ 10: 22H2 10.0.19045.2311 or higher. <br/><br/><b><i>May work on Windows™ 10: 20H1 10.0.19041.264 or higher.<b></b></i><sup>1</sup><br/><br/><sub><sup>1. You may need to install <a href="https://www.catalog.update.microsoft.com/Search.aspx?q=KB5014032" rel="noopener noreferrer" target="_blank">KB5014032</a> then install <a href="https://www.catalog.update.microsoft.com/Search.aspx?q=KB5022834" rel="noopener noreferrer" target="_blank">KB5022834</a> to use WSA on these older Windows 10 builds<b><br/><br/><b></b></b></sup></sub></b></td>
</tr>
<tr>
<td colspan="2"><h5><b><i>Custom/modfied Windows OS installations (such as ReviOS, Tiny 10/11 and Ghost Spectre etc.) may have issues with running WSA.<br/></i></b></h5></td>
</tr>
<tr>
<td><img height="60" src="https://img.icons8.com/external-smashingstocks-flat-smashing-stocks/66/null/external-RAM-technology-and-devices-smashingstocks-flat-smashing-stocks.png" style="float: left;" width="60"/><h4>RAM<h4></h4></h4></td>
<td colspan="2"><ul><li>4 to 6 GB (Not Recommended)</li><li>8 GB (Minimum)</li><li>16 GB (Recommended)</li></ul></td>
</tr>
<tr>
<td rowspan="2"><img height="60" src="https://img.icons8.com/3d-fluency/94/null/electronics.png" style="float: left;" width="60"/><h4>Processor<h4></h4></h4></td>
<td colspan="2"><b><i>CPU Architecture: x86_64 or arm64<b><i></i></b></i></b></td>
</tr>
<tr>
<td>Your PC should meet the basic Windows™ 11 requirements i.e Core i3 8th Gen, Ryzen 3000, Snapdragon 8c, or above</td>
<td>N/A <br/><br/> This is a bit of a hit or miss, but it is highly recommended that your processor is listed in the <a href="https://learn.microsoft.com/en-gb/windows-hardware/design/minimum/windows-processor-requirements" rel="noopener noreferrer" target="_blank">supported CPU lists for Windows 11 requirements</a></td>
</tr>
<tr>
<td><img height="60" src="https://img.icons8.com/3d-fluency/94/null/video-card.png" style="float: left;" width="60"/><h4>GPU<h4></h4></h4></td>
<td colspan="2">Any compatible Intel, AMD or Nvidia GPU. <br/> GPU Performance may vary depending on its compatibility with Windows Subsystem For Android™  <br/><br/><details><summary><h4>Users with Intel HD Graphics 530 and older<h4></h4></h4></summary><br/><h5> WSA may not start or graphical glitches will occur when Intel HD Graphics 530 and Older iGPUs are used. This is a known issue, but unfortunately there are no fixes that I currently know of, plus, these GPUs are too old and do not meet Windows 11 requirements and hence are not official supported. <a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Usage%20Guides/General%20Usage%20Guides/ChangingGPU.md" rel="noopener noreferrer" target="_blank">Follow this guide</a> to switch to another iGPU/dGPU/eGPU that you may have or Microsoft Basic Renderer<h5></h5></h5></details><br/><details><summary><h4>Users with Nvidia GPUs<h4></h4></h4></summary><br/><h5> Nvidia GPUs are known to cause problems. If Windows Subsystem For Android™ does not start or there are graphical glitches when an Nvidia GPU is used, <a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Usage%20Guides/General%20Usage%20Guides/ChangingGPU.md" rel="noopener noreferrer" target="_blank">follow this guide</a> to switch to another iGPU/dGPU/eGPU  that you may have or Microsoft Basic Renderer<h5></h5></h5></details></td>
</tr>
<tr>
<td rowspan="2"><img height="60" src="https://img.icons8.com/3d-fluency/94/null/ssd.png" style="float: left;" width="60"/><h4>Storage<h4></h4></h4></td>
<td colspan="2"><b><i>Solid-state drive (RECOMMENDED)<i><b> <br/>OR<br/> <b><i>Hard Disk Drive (HDD)<i><b>   (NOT RECOMMENDED)<i></i></b></i></i></b></b></i></i></b></td>
</tr>
<tr>
<td colspan="2"><b><i>Minimum Storage Requirements: You must have at least 10GB free on the system drive (C:\)<b><i></i></b></i></b></td>
</tr>
<tr>
<td><img height="60" src="https://img.icons8.com/stickers/100/null/storage.png" style="float: left;" width="60"/><h4>Partition<h4></h4></h4></td>
<td colspan="2"><b><i>NTFS ONLY<b><i> <br/><br/> Windows Subsystem For Android™ can only be installed on a NTFS partition, not on an exFAT partition</i></b></i></b></td>
</tr>
<tr>
<td rowspan="3"><img height="58" src="https://user-images.githubusercontent.com/68516357/230764789-ad8f7361-4a3b-49a8-a8e9-24fdc87d5781.png" style="float: left;" width="66"/><h4>Windows Features Needed<h4></h4></h4></td>
<td colspan="2">Virtual Machine Platform Enabled</td>
</tr>
<tr>
<td colspan="2">Windows Hypervisor Platform Enabled</td>
</tr>
<tr>
<td colspan="2"><sub><b><i>These optional settings are for virtualization and provide components that are needed to run WSA. You can enable these settings by pressing the Windows Key + R on your keyboard and typing "OptionalFeatures.exe" into the box, pressing enter and selecting the features above followed by pressing apply</i></b></sub></td>
</tr>
<tr>
<td><img height="60" src="https://user-images.githubusercontent.com/68516357/230759907-5d11950e-1b17-4811-8f4e-a0f82e598079.png" style="float: left;" width="60"/><h4>Virtualization<h4></h4></h4></td>
<td colspan="2">The Computer must support virtualization and be enabled in BIOS/UEFI and Optional Features. <br/> <h3><a href="https://support.microsoft.com/en-us/windows/enable-virtualization-on-windows-11-pcs-c5578302-6e43-4b4b-a449-8ced115f58e1" rel="noopener noreferrer" target="_blank">Guide on how to enable</a><h3></h3></h3></td>
</tr>
</tbody>
</table>

 

<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Installation.md"><img height="60" src="https://img.icons8.com/color/96/null/software-installer.png" style="float: left;" width="60"/><h1><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Installation.md">   Installation</a></h1></a></summary>

&gt; [!NOTE]
&gt; 
&gt; If you have the official Windows Subsystem For Android™ installed, you must [completely uninstall](#uninstallation) it to use MagiskOnWSA. 

&gt; [!IMPORTANT]
&gt;  
&gt; In case you want to preserve your data from the previous installation (official or MagiskOnWSA), you can backup Userdata.vhdx, located at ``%LOCALAPPDATA%\Packages\MicrosoftCorporationII.WindowsSubsystemForAndroid_8wekyb3d8bbwe\LocalCache\userdata.vhdx`` before uninstallation and restore it after installation. A guide for this process is located further down in this README.

---

### Video Guide:
##### Special Thanks to kilObit (creator of the video)
<a href="https://www.youtube.com/watch?v=11lw-IHPH3A"><img height="40%" src="https://github.com/MustardChef/WSABuilds/assets/68516357/68874bad-9f71-436b-a35b-f06eb7f9fa57" style="float: left;" width="40%"/>

---

### Text Guide:
1. Go to the [Releases page](https://github.com/MustardChef/WSABuilds/releases/latest)
2. In the latest release, go to the Assets section and download the Windows Subsystem For Android™ version of your choosing (do not download "Source code")
3. Extract the .7z archive and rename the folder (that you extracted) to ``WSA``
4. Delete the .7z archive
5. Move the newly extracted folder to a suitable location (Documents folder is a good choice), as you will need to keep the folder on your PC to use MagiskOnWSA

&gt; [!NOTE]   
&gt; If you're updating WSA, merge the folders and replace the files for all items when asked

6. Open the Windows Subsystem For Android™ folder: Search for and double-click `Run.bat`
   - If you previously have a MagiskOnWSA installation, it will automatically uninstall the previous one while preserving all user data and install the new one, so don't worry about your data.
   - If the popup windows disappear without asking administrative permission and Windows Subsystem For Android™ is not installed successfully, you should manually run Install.ps1 as administrator:
      
      - Press Win+x and select Windows™ Terminal (Admin)
      
      - Input the command below and press enter, replacing {X:\path\to\your\extracted\folder} including the {} with the path of the extracted folder
        ```Powershell
        cd "{X:\path\to\your\extracted\folder}"
        ```  
        
      - Input the command below and press enter   
        ```Powershell
        PowerShell.exe -ExecutionPolicy Bypass -File .\Install.ps1
        ```
        
      - The script will run and Windows Subsystem For Android™ will be installed
      - If this workaround does not work, your PC is not supported for WSA
      
7. Once the installation process completes, Windows Subsystem For Android™ will launch (if this is a first-time install, a window asking for consent to diagnositic information will be shown instead. Sometimes two identical windows will show, this is fine and nothing bad happens if you click OK in both windows)
8. Click on the PowerShell window, then press any key on the keyboard, the PowerShell window should close
9. Close File Explorer
10. **Enjoy**

--- 

### Notice (Applicable for both Windows 10 and 11):

1. You can NOT delete the Windows Subsystem For Android™ installation folder.
   What `Add-AppxPackage -Register .\AppxManifest.xml` does is to register an appx package with some existing unpackaged files,
   so you need to keep them as long as you want to use Windows Subsystem For Android™. 
   Check https://learn.microsoft.com/en-us/powershell/module/appx/add-appxpackage?view=windowsserver2022-ps for more details.
2. You need to register your Windows Subsystem For Android™ appx package before you can run Windows Subsystem For Android™. 
   For [WSABuilds](https://github.com/MustardChef/WSABuilds) and [MagiskOnWSALocal](https://github.com/LSPosed/MagiskOnWSALocal) users, you need to run `Run.bat` in the extracted dir.
   If the script fails, you can take the following steps for diagnosis (admin privilege required):
    1. Open a PowerShell window and change working directory to your Windows Subsystem For Android™ directory.
    
    2. Run the command below in PowerShell. This should fail with an ActivityID, which is a UUID required for the next step.
       ```Powershell
       Add-AppxPackage -ForceApplicationShutdown -ForceUpdateFromAnyVersion -Register .\AppxManifest.xml
       ```
       
    3. Run the command below in PowerShell. This should print the log of the failed operation.
       ```Powershell
       Get-AppPackageLog -ActivityID <uuid>
       ```
    4. Check the log for the reason of failure and fix it.

</uuid></a></details> 

 


<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Updating.md"><img height="60" src="https://img.icons8.com/external-flaticons-flat-flat-icons/64/null/external-updating-tools-and-material-ecommerce-flaticons-flat-flat-icons.png" style="float: left;" width="60"/><h1><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Updating.md">   Updating</a></h1></a></summary>

### How do I update without losing any of my apps and data on Windows Subsystem for Android (WSA)

&gt; [!IMPORTANT]
&gt; Make sure that WSA has been turned off from the settings and that tools such has WSA-System-Control, WSA-Sideloader, WSAPacman etc are not running.

1. [Download the latest build](https://github.com/MustardChef/WSABuilds#downloads) (that you want to update to)

2. Make sure Windows Subsystem For Android is not running (Click on "Turn off" in the WSA Settings and wait for the spinning loader to disappear)

2. Using 7-Zip, WinRAR or any other tool of choice, open the .7z archive 

3. Within the .7z archive, open the subfolder 
    - Example: 
        - WSA_2xxx.xxxxx.xx.x_xx 
        
        or 
        
        - WSA_2xxx.xxxxx.xx.x_xx_Release-Nightly-with-magisk-xxxxxxx-MindTheGapps-xx.x-RemovedAmazon)

4. Select all the files that are within this subfolder and extract them to the current folder where the file for Windows Subsystem For Android (the folder you extracted, and installed WSA from) are located 

5. When prompted to replace folders, select "Do this for all current items" and click on "Yes" 

6. When prompted to replace files, click on "Replace the files in the destination"

7. Run  the ``Run.bat`` file

8. Launch Windows Subsystem For Android Settings app and go to the ``About`` tab using the sidebar

9. Check if the WSA version matches the latest version/ the version number that you want to update to

---

**Join the Discord if you are having any difficulties**

[<img align="left" src="https://invidget.switchblade.xyz/2thee7zzHZ" style="width: 400px;"/>](https://discord.gg/2thee7zzHZ)



</details>   

 

<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Uninstallation.md"><img height="60" src="https://img.icons8.com/color/96/null/uninstall-programs.png" style="float: left;" width="60"/><h1><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Uninstallation.md">   Uninstallation</a></h1></a></summary>

 

&gt; [!NOTE]   
&gt;
&gt; If you want to preseve your data, make a backup of the `%LOCALAPPDATA%\Packages\MicrosoftCorporationII.WindowsSubsystemForAndroid_8wekyb3d8bbwe\LocalCache\userdata.vhdx` file. After uninstalling, copy the VHDX file back to the `%LOCALAPPDATA%\Package\MicrosoftCorporationII.WindowsSubsystemForAndroid_8wekyb3d8bbwe\LocalCache` folder. For a more comprehensive and detailed guide, take a look at the **Backup and Restore section** in this README markdown

### To remove WSA installed through WSABuild:

- **1.)** Make sure that Windows Subsystem For Android™ is not running
<br/>

- **2.)** Search for ``Windows Subsystem For Android™ Settings`` using the built-in Windows Search, or through Add and Remove Programs and press uninstall
  
<br/>

- **3.)** Delete the WSA folder that you extracted and Run.bat was run from to install WSA (MagiskOnWSA folder)

<br/>

- **4.)** Go to ``%LOCALAPPDATA%/Packages/`` and check if the folder: ``MicrosoftCorporationII.WindowsSubsystemForAndroid_8wekyb3d8bbwe`` is still present:
   - If the folder is still present: ****Delete it****
      - If you get an error that states that the file(s) could not be deleted, make sure that WSA is turned off
   - If the folder does not exist: ****Skip this step****
           
<br/>

### To remove WSA installed from the Microsoft Store: 
        
   - **1.)** Search for ``Windows Subsystem For Android™ Settings`` using the built-in Windows Search, or through Add and Remove Programs and press uninstall

</details>

 
       
<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Backup%20and%20Restore.md"><img height="60" src="https://img.icons8.com/fluency/96/cloud-backup-restore.png" style="float: left;" width="60"/><h1><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Backup%20and%20Restore.md">   Backup and Restore Userdata</a></h1></a></summary>

## Backing Up Your Userdata
      
In order to make a backup of your WSA data you must copy the ``Userdata.vhdx`` (which includes, but is not limited Android Apps and their data, settings etc.), located at ``%LOCALAPPDATA%\Packages\MicrosoftCorporationII.WindowsSubsystemForAndroid_8wekyb3d8bbwe\LocalCache\userdata.vhdx``, to a safe location     
      
## Restoring Your Backup

Before attempting to restore your backup, you must remove WSA if installed. Then before you run the ``Run.bat`` script (to reinstall WSA after removing it), you need to remove these lines from ``Install.ps1``, located in the your extracted WSA folder:
      
      
&gt; [!TIP]
&gt; The Lines (as shown below) that you need to remove in ``Install.ps1`` may vary depending on the type of WSA Build that you are trying to install.    
      

#### Android Settings:
```pwsh
Start-Process "wsa://com.android.settings"
```
#### Official Magisk:
```pwsh
Start-Process "wsa://com.topjohnwu.magisk"
```
#### Magisk Delta:
```pwsh
Start-Process "wsa://io.github.huskydg.magisk"
```
#### Magisk Alpha:
```pwsh
Start-Process "wsa://io.github.vvb2060.magisk"
```
#### Google Play Store:
```pwsh
Start-Process "wsa://com.android.vending"
```
#### Amazon Appstore:
```pwsh
Start-Process "wsa://com.amazon.venezia"
``` 

After removing the lines above, run the script. 

When the Powershell window states "Press any key to quit", at that time multiple dialouge boxes will open:

![image](https://github.com/MustardChef/WSABuilds/assets/68516357/53ba5738-a504-4c31-a414-40258180ee09)

&gt; [!IMPORTANT]
&gt; ****Ignore these and do not click on anything or close these popups****

Go to ``%localappdata%\Packages`` and (if these folders/directory do not exist, create them) in ``MicrosoftCorporationII.WindowsSubsystemForAndroid_8wekyb3d8bbwe\LocalCache\`` paste the userdata.vhdx

Now close the popups and run WSA and your userdata should hopefully be restored

</details>
    

 
      
<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/FAQ.md"><img height="60" src="https://img.icons8.com/3d-fluency/94/null/help.png" style="float: left;" width="60"/><h1><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/FAQ.md">   FAQ</a></h1></a></summary>

 
**Help me, I am having problems with the MagiskOnWSA Builds**

- Open an [issue in Github](https://github.com/MustardChef/WSABuilds/issues) or [join the Discord](https://github.com/MustardChef/WSABuilds#join-the-discord) and describe the issue with sufficent detail

**Help me, I am having problems with installing Windows Subsystem For Android™ on Windows™ 10**

- I am not working on the patch, and nor claim to.  Open an issue in the Discord or Github, and I will try to assist you with the problem if possible. For full support visit the project homepage and open an issue there: https://github.com/cinit/WSAPatch/issues/

**How do I get a logcat?**
- There are two ways:
   ```
   adb logcat
   ```
   or

-  Location in Windows ---&gt;<br/> `%LOCALAPPDATA%\Packages\MicrosoftCorporationII.WindowsSubsystemForAndroid_8wekyb3d8bbwe\LocalState\diagnostics\logcat`

**Can I delete the installed folder?**

- No.

**How can I update Windows Subsystem For Android™ to a new version?**

- As Explained [Installation instructions](#installation). Download the [latest Windows Subsystem For Android™ Version](#downloads) and replace the content of your previous installation and rerun Install.ps1. Don't worry, your data will be preserved

**How do I update Magisk?**

- Do the same as updating Windows Subsystem For Android™.  Wait for a new MagiskOnWSA release that includes the newer Magisk version, then follow the [Installation instructions](#installation) to update

**Can I pass SafetyNet/Play Integrity?**

- No. Virtual machines like Windows Subsystem For Android™ cannot pass these mechanisms on their own due to the lack of signing by Google. Passing requires more exotic (and untested) solutions like: <https: 145#discussioncomment-2170917="" discussions="" github.com="" kdrag0n="" safetynet-fix="">

**What is virtualization?**

- Virtualization is required to run virtual machines like Windows Subsystem For Android™.  `Run.bat` helps you enable it. After rebooting, re-run `Run.bat` to install Windows Subsystem For Android™.  If it's still not working, you have to enable virtualization in your BIOS/UEFI. Instructions vary by PC vendor, look for help online

**Can I remount system partition as read-write?**

- No. Windows Subsystem For Android™ is mounted as read-only by Hyper-V. You can, however, modify the system partition by creating a Magisk module, or by directly modifying the system.img file

**I cannot adb connect localhost:58526**

- Make sure developer mode is enabled. If the issue persists, check the IP address of Windows Subsystem For Android™ on the Settings ---&gt; Developer page and try 

   ```
   adb connect ip:5555
   ```

**Magisk online module list is empty?**

- Magisk actively removes the online module repository. You can install the module locally or by 
  
   **Step 1** 
      
      adb push module.zip /data/local/tmp

   **Step 2**  

      adb shell su -c magisk --install-module /data/local/tmp/module.zip


**How do I uninstall Magisk?**

- Request, using [Issues](https://github.com/MustardChef/WSABuilds/issues), a Windows Subsystem For Android™ version that doesn't include Magisk from the [Releases page](https://github.com/MustardChef/WSABuilds/releases/latest). Then follow the [Installation instructions](#installation)

**Can I switch between OpenGApps and MindTheGapps?**

- No. GApps will no longer function. Do a [complete uninstallation](#uninstallation) before switching

**How do I install custom Magisk or GApps?**

- To request a build with custom Magisk or GApps, feel free to open an issue in the [Issues page](https://github.com/MustardChef/WSABuilds/issues.) You can also achieve this by using the [MagiskOnWSALocal](https://github.com/LSPosed/MagiskOnWSALocal) Script and following the provided instructions located in the repo.
</https:></details>

 

<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/App%20Compatibility.md"><img height="60" src="https://img.icons8.com/external-flaticons-lineal-color-flat-icons/64/external-compatibility-relationship-flaticons-lineal-color-flat-icons-2.png" style="float: left;" width="60"/><h1><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/App%20Compatibility.md">   App Compatibility</a></h1></a></summary>

## Updated on 05/03/2024

## Legend

This page currently uses Unicode characters from [Unicode Emoji (1.0)](https://unicode.org/Public/emoji/1.0/emoji-data.txt). If you are unable to see these characters, please open an issue.

- ✅ Works
- 🆖 Works, but needs Google Mobile Services
- ⚠️ Works, but with some notable problems
- ❌ Broken

## Support table (OS features)

| Feature | Support level | Notes |
|---------|---------------|-------|
| Multi-touch | ✅ | Demo: [Arcaea](https://www.bilibili.com/video/BV1Ph411n7M5)
| Virtual Wifi (VirtWifi) | ✅
| Bluetooth | ❌ ([GitHub issue](https://github.com/microsoft/WSA/issues/103))
| IPv6 | ✅ | Loading `ipv6.google.com` in Fennec F-Droid on a PC with IPv6 access, works well
| Fingerprint Reader | ❌ | Test failed on ROG Flow X13, with SATRIA app
| VPN | ❌ | VPN Connection request dialog does not appear
| OpenGL ES 3.1 | ❌
| Vulkan | ✅ | Added as experimental feature in [2307.40000.2.0](https://github.com/microsoft/WSA/discussions/374)

### Workarounds

#### VPN

There is no `com.android.vpndialogs` in WSA. However, it's possible to manually grant the VPN activation permission with AppOps via `adb shell`:

```shell
appops set [package name] ACTIVATE_VPN allow
```

#### Launching Android Apps with URI scheme

Microsoft provides a custom URI scheme for WSA, making it easier to launch apps:

```shell
wsa://[App Package Name]
```

For example, to launch Apple Music in WSA, use:

```shell
wsa://com.apple.android.music
```

## Support tables

* [Apps](#apps)
* [Games](#games)

### Apps
| Application | Latest tested version | Android versions | Support level | Known Issues | Notes |
|-------------|-----------------------|------------------|---------------|--------------|-------|
| 23andMe | 5.114.0 | 11 | ✅ |
| 4PDA | 1.9.35 | 11 | ✅ |
| A+ Gallery | 2.2.55.4 | 11 | ✅ | You might face graphical glitches when using dark theme, hence it's recommended to use light theme instead.
| Activity Launcher | 1.14.6 | 13, 12 | ⚠️ | As of WSA version 2209.40000.28.0, you can't pin shortcuts to a home area of a launcher (like Lawnchair or Rootless Pixel Launcher) with the error `Current launcher does not support PinShortcut. Unable to create shortcut.` | You can still launch specific activities on any app 
| AdGuard | 3.6.10 | 12 | ⚠️ | "Local VPN" doesn't work even with the above workaround. "HTTPS Filtering" doesn't work due to problems with recognition of manually installed certificates. | Not to be confused with "AdGuard Content Blocker"
| ADM | 12.5.4 | 11 | ✅ |
| ADM Pro | 6.4.0 | 11 | ✅ |
| Aegis | 2.0.2 | 11 | ✅ |
| AIDE | 3.2.210316 | 11 | ✅ || Might optionally require GMS
| AIMP | 3.10.1052 | 11 | ✅
| Aliexpress | 8.76.5 | 13 | ⚠️ | The home and search pages have significant scaling issues that make it nearly impossible to navigate through the app.
| Amaze File Manager | 3.5.3 | 11 | ✅ || Avoid updating the app
| Amazon Alexa | 2.2.466191.0 | 12 | ✅ |
| Android System Info | 1.4.2 | 11 | ✅ ||
| Android System Webview | 118.0.5993.111 | 13, 12 | ✅ ||
| Android System Webview Dev | 103.0.5060.22 | 11 | ✅ || App installs correctly 
| AniLabX | 3.8.12 (Iridium) - Beta | 11 | ✅
| Animiru | 0.16.0.0 | 13 | ✅ | 
| Aniyomi | 0.15.2.1 | 13, 12 | ✅ |
| AntennaPod | 2.5.0 | 11 | ✅
| APKMirror Installer (Beta) | 1.3.2 | 11 | ⚠️ | Cannot remove ads without subscription which requires Location to be turned on. Apart from this, there are random crashes
| APKPure | 3.17.26 | 11 | ✅ | Sometimes, it might require multiple attempts to install an app
| Apple Music | 3.7.1 | 11 | ✅
| App分享 (AppShare) | 2.1.1 (164) | 11 | ❌ | Can't login
| Aptoide App Store | 9.20.2.1 | 11 | ✅ | Sometimes, downloads might get stuck
| AquaMail (Pro) | 1.34.0-118 | 11 | ✅
| ASUS Router | 1.0.0.7.35 | 12 | ✅ | The text on the bottom bar is more narrow than it should be, resulting in cutting off the last letters or taking up two lines. | 
| AtB | 1.23 | 12 | ❌ | Crashes during loading, as it relies on Google Services Framework and on having the latter be given `read_device_config` permissions, which doesn't seem to be possible to give.
| Audible | 3.15.0 | 11 | ✅
| Aurora Store | 4.1.1 | 12, 11 | ✅
| Authy | 24.8.5 (139) | 11 | ✅ || Produces warnings about GMS which are safe to ignore.
| BandLab | 10.45.0 | 13, 12 | 🆖 | Slight audio lag with Android 12, it was fixed in Microsoft's 2303.40000.3.0 update | Only tested from installing from Google Play Store with Google services, otherwise app has no issues whatsoever. It's responsive, and in Android 13 there's no audio lag. |
| BankID (Norway) | 2.1 | 12 | ❌ | Spams the desktop browser with new tabs about how the app thinks the phone is rooted. 
| BBC iPlayer | 4.137.0.25403 | 11 | ✅ | Sideloaded
| BBC Sounds | 2.13.0.19989 | 13 | ✅
| Berry Browser | 3.57.8 | 12, 11 | ✅
| Binance | 2.36.5 | 11 | ✅
| Bondee | 2.0.0.636 | 12 | ⚠️ | Has scaling issues. Specifically, after the introductory part, the app uses abnormally huge elements which makes it impossible to navigate.
| Boost for Reddit | 1.12.5 | 12 | ✅
| Bouncer | 1.26.3 | 11 | ⚠️
| Brave Browser | 1.30.87 | 11 | ✅
| BritBox by BBC &amp; ITV | 2.1.2 (20043) | 11 | ❌ | App crashes on start
| Bromite | 94.0.4606.94 | 11 | ✅ || Use x64 build
| Camera | 2.0.002 | 13 | ⚠️ | While taking pictures or video works fine but changing the camera (to an inactive virtual camera) freezes the app. | Included in the subsystem
| CamScanner | 6.3.0.2110240000 | 11 | ❌ | WSA freezes after taking a snap
| Canvas Student | 6.14.1 | 11 | ✅
| Character.AI | 1.7.5 | 13 | ✅ | Sometimes, the text box for the prompt is broken when you resize the window. Restarting the app will restore the textbox.
| ChMate | 0.8.10.153 | 11 | ✅
| Clubhouse | 1.0.11 | 11 | ⚠️ | Unable to login via phone number, it throws an error after entering the OTP
| Comixology | 3.10.18.310421 | 11 | ✅
| Cignal Play | 2.2-play | 13 | ⚠️ | Stuck on loading animation when viewing live tv
| Coop Medlem | 3.4.30 | 12 | ⚠️ | Coopay activation fails because the app looks for whether a lock screen is enabled or not | Core functionality works, although a bit slowly. 
| CPU-Z | 1.41 | 11 | ✅
| Cronometer | 3.13.1 | 11 | ✅
| Cryptography | 1.24.0 | 12 | ✅
| CX File Explorer | 2.0.0 | 13, 12 | ✅
| Dantotsu | 2.0.0 | 13 | ✅ | To sign-in to the anilist integration, set the default browser to use a browser app in WSA (e.g. Firefox) since it opens the default brower on Windows. This also happens with links as well. | Hovering the mouse pointer, highlights the input element. Keyboard usage is supported on the Manga reader and Media Player.
| Dcoder | 4.0.76 | 11 | ✅
| Decibel X | 6.4.2 | 11 | ⚠️ | App crashes
| Decrypto | 1.4.7 | 12 | ✅
| Delivery Club | 4.64.0 | 11 | ❌ | App crashes after selecting a shipping address
| DevCheck | 3.39 | 11 | ❌ | Blank screen on startup
| Device Info HW | 5.4.1 | 11 | ✅
| Deezer | 7.0.14.1 beta | 12 | ✅ | The Deezer Labs crossfade function doesn't seem to work as of September 2022 | Music and menus seem to work pretty well, even with HiFi bitrates.
| Digital Wellness | 1.5.500315346 (471337) | 13 | ✅ | It's not available in the Settings App by default, requires Activity Launcher to launch it. | You can make it show in the launcher if you enable "Show icon on app list".
| DirecTV for Tablet | 5.29.001 | 11 | ⚠️ || Frequent crashing, other functionality proper.
| Discord | 98.6 | 11 | ✅
| DMM Games Store | 2.8.0 | 11 | 🆖 | Requires GMS
| Duolingo | 5.2.35 | 11 | ✅
| DuckDuckGo Privacy Browser+ | 5.142.2 | 12 | ✅
| Easybell | 2.1.30 | 11 | ✅
| EDS Lite | 2.0.0.237 | 12 | ✅ || Tested on an Intel x86-64 CPU (may work on AMD64 or ARM64). Recommended to add the exFAT module if you have a container that use this filesystem.
| eGovPH | 2.0.4 | 13 | ⚠️ | Tested on a WSA install with GMS and It's also recommended to turn off Developer Options before starting this app.  The app doesn't start properly if you didn't grant the permissions beforehand in android settings. For eReport, the app can't progress beyond the Current Location permission prompt as clicking the "Enable Location" doesn't do anything (even with the location permission granted for WSA in Windows); the workaround is to access it via the Suggested eGovPH Services part (found on the Home tab). eKYC verification is problematic as the built-in laptop camera is wonky with eGovPH's image handling, affecting the verification process (this also applies if you're registering an account from the same device for its face verification). Some pages display no content (notably FAQs and application details on some cases) |  Basic features work such as navigating through the app features/pages. The PhilSys Digital ID page works as well and able to recognize it in the verification site from another device. Recommended to use an up-to-date version of Android System WebView since the app mostly relies on it.
| Emby | 2.0.48g | 11 | ✅
| ES File Explorer | 4.2.1.8 | 11 | ✅ || Avoid updating the app
| Excel | 16.0.14527.20162 | 11 | ✅
| F-Droid | 1.15.6 | 13, 12, 11 | ✅
| F1 TV | 2.0.5 | 11 | ⚠️ | Terrible app experience including screen flashes and crashes while watching a video
| FaceApp: Face Editor || 11 | ❌
| Facebook | 377.0.0.22.107 | 12 | ✅ | 
| Facebook Lite | 339.0.0.10.100 | 12 | ✅ |
| Facebook Messenger | 330.0.0.12.116 (x86_64) | 11 | ⚠️ | Chat Heads don't work
| Facebook Messenger Lite | 334.0.0.10.101 | 12 | ✅ | 
| FAST Speed Test | 1.0.8 (88) | 11 | ✅
| FDM (Free Download Manager) (Play Store) | 6.18.1.4896 | 13 | ✅ | The app crashed after the splash screen (after granting its needed permissions) on some versions of the subsystem (due to libhoudini). Works fine again as of WSA 2301.40000.7.0 | Tested on an Intel x86_64 CPU
| Fennec F-Droid | 105.1.0 | 12 | ❌ | While the app is correctly installed, it crashes very often, and sites load very, very slowly compared to Firefox Nightly.
| Files by Google | Unknown | 11 | ✅ || Works fine
| Firefox | 123.0 (2016003223) | 13, 12, 11 | ✅ | On Android 11, it works albeit with broken rendered webpages. On Android 12, works (without white box after updating WSA to 2205.40000.21.0) | Tested on Intel HD integrated graphics.
| Firefox Nightly | 95.0a1 | 11 | ✅
| Firefox Focus | 106.1 | 12 | ✅
| foobar2000 | 1.2.30 | 11 | ✅
| Formula 1 | 11.0.1533 | 11 | ⚠️ | Live Timing is broken, keeps crashing on initialization
| FX File Explorer | 9.0.1.2 (r9012) | 13, 12, 11 | ✅ | Tested only on the base version (without FX Plus)
| Game Pass | 2110.17.1005 | 11 | ✅ | GMS warnings might appear but these can be safely ignored | Cloud games can be launched but controlling them with controller or touch has not been tested.
| GBoard | Unknown | 12, 11 | ⚠️ | Will not work as expected in newest WSA (2204.x)
| GCash | 5.62.0 | 13, 12, 11 | 🆖 | Requires GMS. Will warn "limited functionality" if no GMS is present, if present, works normally. When it is launched for the first time, it will crash due to lack of permissions granted on previous versions (5.61.0 and below). Starting with 5.62.0, an alert pops up `We have detected that you are running the GCash app on emulator. You will not be able to proceed.` 
| Geekbench | 5.4.1 | 11 | ✅
| GeoGebra | 5.0.674.0 | 11 | ✅
| GitHub | 1.146.0 | 13 | ✅ | Opening any web links in the using the "Windows default app" doesn't work (including the sign-in). | Set a default browser app first (like Chrome) if you want to use external links within the app
| Globe2Go | 4.7.4.20.0810/3890 | 11 | ✅
| GlobeOne | 1.8.37 | 12 | ✅ || May require GMS (otherwise use other login methods available in the app)
| Gmail | 2022.05.01.440951655.Release | 11 | ✅ || May require GMS
| Gojek | 4.30.1 | 11 | 🆖 | Requires GMS
| Google | 14.44.29.28.x86_64 | 13 | 🆖 | Requires GMS
| Google Calendar | 2022.18.2-448173739-release | 11 | ✅ | Requires GMS | Works fine
| Google Camera | Unknown | 11 | ✅ || Works fine
| Google Chrome | 119.0.6045.66 | 13, 12, 11 | ✅ | Requires microG or GMS to sync with Google Account |
| Google Classroom | 8.0.181.20.90.3 | 11 | ✅ || Notifications are generic (do not show content), clicking on them may not open the app. Uploading attachments locally is not possible.
| Google Contacts | 3.68.0.445910596 | Unknown | ✅ || App may be glitchy from time to time, if that happens, restart the app
| Google Drive | 2.22.197.0.all.alldpi | 11 | ✅ | Works fine, may require GMS
| Google Home | 2.58.1.7 | 12 | ❌ | An error message on startup says "Home cannot run without Google Play Services, which are not supported by your device."
| Google Meet | 2021.10.03.404303734.Release | 11 | 🆖 | Requires GMS, Share screen doesn't work due to WSA's windowed nature
| Google Photos | 5.91.0.448844219 | 11 | ✅ | Requires GMS |
| Google Play Games | 2023.08.46243 | 13 | 🆖 | Requires GMS
| Google Play Store | 37.4.24-29 [0] [PR] 56388002 | 13 | 🆖 | Requires GMS. If you're changing languages a lot in the app, there's a prompt to restart the app to complete the update. Wait for a few seconds, then tap/click restart to proceed (sometimes works, sometimes not). | Play Protect certification status will be `Device is uncertified`
| Google Services Framework (APK) | 12, API 32 | 12 | ❌ | Although installation succeeds and apps become aware of it, it lacks a lot of permissions needed for most functions, e.g. `read_device_config`, which can't be given even with the Settings app.
| Google Translate | 6.45.0.474938783.2-release | 12 | ❌ | Crashes on startup due to reliance on Google Services Framework
| Grab | 5.172.200 | 11 | ✅
| Gycso | 1.1.0 | 12, 11 | ✅ |
| HBO Max | 52.15.0.53 | 11 | ⚠️ | Failed to play video (internal player fails to display image and play sound).
| Hidden Settings | 1.7.5 | 12 | ✅
| Hiragana Pro | 1.4.4 | 12 | ✅ | Scaling issue when the app is in landscape mode.
| Hobi | 2.1.7 | 11 | 🆖 | Requires GMS
| Home Assistant | 2022.3.0-full | 11 | ✅ | Basic functionality works, additional/extended functionality has not been yet tested.
| Housesigma Canada Real Estate | 4.3.6 (121) | 11 | ✅
| HTV (hanime tv) | 3.6.7 | 11 | ⚠️ | Failed to play video | Internal player doesn't work, asks for external player and fails again
| huaCtrl PRO | 1.0.27 | 11 | ✅
| Huawei AppGallery | 11.4.2.300 | 11 | ✅ | Frequent crashes were experienced, otherwise the app functionality is fine
| Hyper Square | 3.0.1 | 11 | ✅
| IFTTT | 4.29.2 | 12 | 🆖 | Need GMS to receive notification. Ignore the Notification Reader Access error. | To avoid Play Protect blocking login to the Google Store, use GMS version open_gapps-x86_64-11.0-pico-20220215. (See also: WSAGAScript issue #213). 
| Instagram | 244.0.0.17.110 | 12, 11 | ⚠️ || Need to use an Android keyboard (eg. MS SwiftKey) to be able to reply to stories (only works in 11. Keyboard app support in 12 is broken.
| Instagram Lite | 339.0.0.10.100 | 12 | ✅ 
| Intra | 1.3.8 | 12 | ✅ || VPN workaround is needed after installation to allow the app to create VPN connections.
| iOS app (any) || 11 | ❌ | Thanks for testing, Brad.
| Ipsos MediaLink | 5.2.20 | 13 | ✅ || The VPN workaround is required, as are Accessibility permissions, and a CA certificate needs to be installed (wsa://com.android.settings) 
| iPusnas | 1.5.1 | 11 | ✅
| iRobot | 5.2.4-release | 12 | ❌ | Error message `java.lang.UnsatisfiedLinkError: dlopen failed: library "libcore_jni.so" not found`
| Insta360 | 1.49.0 | 12 | ❌ | Error message `Sorry, Insta360 app is temporarily incompatible with your device.`
| J2ME Loader | 1.7.9-open | 13, 12, 11 | ✅
| JAKI - Jakarta Kini | 1.2.34 | 11 | 🆖 | Some features require GMS
| JioSaavn | 8.2.1 | 11 | ✅ | Doesn't support fullscreen and rare crashes but running fine
| Jiocinema | 3.0.2.7 | 11 | ✅ | May crash initially but subsequent runs should work correctly. 
| Jlpt | 4.7 | 12 | ✅ ||
| Joey (Reddit client) | 2.0.0.1 | 11 | ✅
| Jolibee  | 1.21.1 | 13 | ✅
| Joplin | 2.4.3 (2097651) | 11 | ✅
| JuiceSSH | 3.2.2 | 11 | ⚠️ | Connecting to SSH server needs multiple tries
| Kahoot || 11 | ✅
| Katakana Pro | 1.4.4 | 12 | ✅
| KawaiiNihongo | 3.10.9 | 12 | ✅
| KernelSU | v0.7.0 | 13 | ✅ || Download this manager app after installing KernelSU root
| Khan Academy | 7.3.3 | 11 | ✅
| Kik | 7.10.1.176 (82) | 11 | ✅
| Kindle | 8.47.1.3370 | 11 | ✅
| Kiwi Browser | 107.0.5304.74 | 13, 12 | ✅ |
| Kobo Books | 8.40.29843 | 11 | ⚠️ | Aspect ratio and resolution are fixed, appears blurry when resized
| Kotatsu | 6.5.4 | 13 | ✅ | | Keyboard navigation is supported
| KRL Access | 4.1.0 | 11 | ❌ | App crashes
| Lawnchair | 12 Alpha 5 | 13, 12, 11 | ⚠️ | If you're running the Android 13 of the subsystem (2211.40000.11.0), if you launch any app from either the home screen or the app drawer, it crashes with an error: `java.lang.NoSuchMethodError: No virtual method setSplashscreen(I)V in class Landroid/app/ActivityOptions; or is superclasses (declaration of 'android.app.ActivityOption'...` | Works fine on Android 11 or 12 versions of the subsystem.
| Lazada | 7.37.0 | 13 | ⚠️ | Google login requires GMS installed (use Email or Facebook login as alternatives). `Slide to verify` appears too often if logging in. Weird scaling options (interface elements are too large) | Keep it in portrait for the app to be usable.
| Libby | 4.3.1 | 11 | ✅
| LINE | 12.0.1 | 11 | ✅
| Line Rangers | 7.6.3 | 11 | ✅
| LinkedIn | 4.1.632 | 11 | ✅
| Logcat Reader | 1.7.2 | 13 | ✅ | 
| LNReader | 1.1.18 | 13, 12 | ✅ || Partial keyboard navigation is available (example: arrows key up and down - scrolls) when reading a light novel.
| LSPosed | 1.8.6 | 13, 11 | ✅
| Magisk | 25.2 | 13, 11 | ✅ || Magisk developer confirmed able to gain root access - [link to his tweet](https://twitter.com/topjohnwu/status/1451282578514735131)
| ManCityApp | 2.1.11 | 11 | 🆖 || Might require GMS
| MangaYomi | 0.1.65 | 13 | ✅ | Doesn't support keyboard (media) controls on the media player | Manga reader supports keyboard navigation
| Manzur's Study Circle (MSC) | 1.0.2 | 11 | ✅
| Material Files | 1.5.2 | 12, 11 | ✅
| Maya (Paymaya) | 2.85.1 | 13 | ❌ | App crashes immediately upon launching the app 
| McDonald's | 2.76.0 | 13 | ❌ | Device verification fails on the first welcome screen and displays "Your device did not pass our security check. Please check that you run a Google trusted OS version, that the device is not rooted, and that you have no harmful apps installed.
| Meta Quest (Oculus) | 181.1.0.81.114 | 12 | ⚠️ | Can't log in with a Meta account, but you can install the Facebook or Instagram app and enable "Logging in with accounts" in the Meta Accounts Center, and use the in-app login. Doesn't detect Quest 2 nearby, due to no Bluetooth support.
| microG Settings | N/A | 11 | ❌ | App crashes, doesn't load
| Microsoft Authenticator | 6.2112.8213 | 11 | ✅ || Some features might require GMS
| Microsoft Azure | 3.9.2.2021.09.30-19.35.50 | 11 | ✅
| Microsoft Bing - Search &amp; earn | 23.5.401109307 | 12 | ✅
| Microsoft Edge | 120.0.2210.157 | 13,11 | ❌ | Always stuck in Microsoft Edge First Run Experience and a few seconds later, crashes out
| Microsoft Edge Canary | 103.0.1264.1 | 11 | ❌ || Fails to load websites
| Microsoft Launcher | 6.230703.0.1122680 | 13, 11 | ✅ | Can't set wallpaper
| Microsoft PowerApps | 3.21124.20 | 11 | ✅
| Microsoft Swiftkey Keyboard | 8.10.12.4 | 12, 11 | ✅ | Works on WSA 2203 (Android 11), but on-screen is completely broken in WSA 2204(Dev) (Android 12.1)
| Microsoft Teams | 1416/1.0.0 | 12 | ✅
| Mic Test | 5.2 | 12 | ✅ || lauresprojects.com.mictest
| Mihon (Beta) | 0.16.3-6530 | 13 | ✅ | Notifications like "Large updates harm sources..." cut off. "Updating Library" progress bar doesn't show, until you clear the Mihon notification. Pressing any key on the keyboard during the Onboarding Guide (the thing when you start Mihon for the first time) will crash the app. | Some of the notifications will be missing due to the Windows Action Center limit of 20. When setting up the tracker, make sure to set the default browser (like Firefox) to sign in. 
| Mihon (Stable) | 0.16.4 | 13 | ✅ |Notifications like "Large updates harm sources..." cut off. "Updating Library" progress bar doesn't show, until you clear the Mihon notification. Pressing any key on the keyboard during the Onboarding Guide (the thing when you start Mihon for the first time) will crash the app. | Some of the notifications will be missing due to the Windows Action Center limit of 20. When setting up the tracker, make sure to set the default browser (like Firefox) to sign in.
| MiX | 6.57.0-Beta_B21070510 | 11 | ✅
| Mobile JKN | 3.7.1 | 11 | ✅ || Some features might require GMS
| MOLA | 2.1.3 | 11 | ❌ | App crashes
| Monogolf | 3.4.10 | 13 | ✅ | 
| Monument Browser | 1.0.333 | 12 | ✅
| Moodle | 3.9.5 | 11 | ✅ 
| MPV | 2023-11-30-release | 13, 12 | ✅ | Picture in Picture doesn't work | Keyboard navigation supported in the media player
| MT File Manager | 2.10.0 | 11 | ✅
| Musically (TikTok) | 7.8.0 | 11 | ✅
| Muslim Pro | 1.2.3 | 11 | 🆖 | Requires GMS
| MX Player | 1.40.9 | 11 | ✅
| MX Player Pro | 1.39.13 | 11 | ⚠️ | App crashes, but videos can be played from external sources
| myPLDT Smart | 2.0.1 | 13 | ✅ | Requires GMS only when logging in using Google account. You can try logging in with e-mail instead. | Sideloaded installation
| MyPostNord (Norway) | 3.12 | 12 | ✅ 
| My Verizon | 16.4.2 | 11 | ✅ || The page might be displayed sideways for a short amount of time when the app is launched. The app automatically reverts to the correct orientation in a second.
| NClientV2 (Release)| 3.0.5 | 13 | ✅ | Keyboard navigation is unsupported when reading. | You can try enabling `Disguise app in drawer` but it doesn't work in the Windows start menu, but works with an installed launcher like Lawnchair or Rootless Pixel Launcher.
| Neko | 2.16.0 | 13, 12, 11 | ✅
| Nekogram X | 8.1.2-1-rc01 | 11 | ✅ || Use NoGcm variant
| Netflix (Aurora Store) | 8.4.0 | 11 | ❌ | "Device not supported" error
| Nettfart Mobile | 3.6.8 | 12 | ✅ | The app must be given network permissions in App Settings
| Network IP Scanner | 3.2 | 11 | ⚠️ | Only scans WSA's own VirtWifi network
| NewPipe | 0.22.1 | 11 | ✅
| NextDNS | 1.2 | 12 | ✅ || VPN workaround is needed after installation to allow the app to create VPN connections.
| NFL | 57.0.7 | 11 | ⚠️ | Videos/streams do not play or load. If embedded in an article, they only play without sound.
| Nintendo Switch Online | 2.2.0 | 12 | ✅ | Only displays in portrait 
| Nova Launcher | 7.0.49 (7049) | 11 | ⚠️ | UI is messy, but app drawer is fine
| Nova Launcher Beta | 8.0.2 | 12 | ⚠️ | UI is messy, but app drawer is fine
| Nu Carnival | 1.0.2-erolabs | 11 | ❌ | App stuck on a black screen
| Octopath Traveler: Champions of the Continent (CotC) | 1.5.0 (753410) | 12 | ❌ | OpenGL ES 3.1 (or higher) is unsupported | Security policy violation: 32  (Most likely due to OpenGL issue)
| Office | 16.0.14527.20162 | 11 | ✅ || Might require microG
| Office Lens | 16.0.14527.20178 | 11 | ❌ | Might require GMS, cannot sign in
| Okay? | 4.08 | 11 | ✅
| One Store | 7.6.0 | 11 | ✅
| Open Camera (F-droid) | 1.52 | 13 | ❌ | Crashes upon launching the app
| Opera Browser Beta | 65.1.3381.61349 (x86_64) | 11 | ✅ || Change app layout to Tablet Mode for a better experience
| Opera GX : Gaming Browser | 1.3.6 | 11 | ✅
| Opera Mini Beta | 61.0.2254.59921 | 11 | 🆖 | Requires GMS
| Opera Touch Browser | 2.9.6 | 11 | ⚠️ | My Flow feature requires GMS | GMS warnings might appear but these can be safely ignored
| Oppo App Store (China) | 8.6.4 Beta 1 | 11 | ❌ | App freezes on blank screen
| Oppo Game Center (China) | 9.7.0_14b2c0c_210521 | 11 | ✅
| Oreo: Twist, Lick, Dunk | 1.5.6 | 11 | ✅ | Minor graphical glitches
| OsmAnd~ | 3.9.10 | 11 | ✅
| Oss (Norway) | 2.9.2 | 12 | ❌ | Crashes on startup. The error log shows `java.lang.UnsatisfiedLinkError: couldn't find DSO to load: libhermes.so`
| Oto Music | 3.0.2 | 11 | ✅ || Requires app restart to refresh list
| OTT Navigator | 1.6.7.7 | ❌ | Crashes on video playback
| OurGroceries | 4.0.10 | 11 | ✅ | Premium keys require Google Play Store
| Outlook | 4.2138.0 | 11 | ⚠️ | Cannot activate device administrator with Outlook, which prevents activation.
| Package Manager | v7.0 | 13,12 | ✅ || Recommeded with use of Shizuku for multi-app installation
| PalawanPay | 1.0.400396 | 13 | ✅ | The app works but WSA's developer options should be disabled prior to opening the app as the app will lock you out if it detects it was turned on
| Phigros || 11 | ✅
| Philips Hue | 4.29.0 | 12 | ✅
| Pixel People | 4.7 | 11 | ✅ | Changing window size breaks the game. Runs at low FPS but is still playable.
| Playstation App | 21.11.2 | 11 | ⚠️ | Runs very slow and takes some time to connect to voice chat, beside that it works  
| Plex | 8.26.2.29389 | 11 | ✅
| Plex Dash | 1.1.1 | 11 | ❌ | App crashes after splash screen
| Plexamp | 3.8.2 | 11 | ⚠️ | Layout and app orientation issues
| Pocket | 7.56.0.0 | 11 | ⚠️ | Unable to log in with a Firefox account, instant (push) syncing is unavailable
| Polar Flow | 6.12.0 | 12 | ✅ | Not able to sync via Bluetooth since WSA doesn't support it. | Syncing via web and interaction is otherwise fine.
| PornHub || 11 | ✅
| Posten (Norway) | 5.16.4 | 12 | ❌ | If installed through the APKPure app, it crashes after the splash screen. If trying to install a locally downloaded XAPK over ADB that simply had its file extension changed to `.apk`, the error message `Failure [INSTALL_PARSE_FAILED_UNEXPECTED_EXCEPTION: Failed to parse /data/app/vmdl1025447652.tmp/base.apk: AndroidManifest.xml]` shows up.
| PostNord | 8.22.2 | 12 | ⚠️ | On the "Verify mobile number" page, keyboard key presses are not recognised, making it impossible to verify phone numbers.
| PowerPoint | 16.0.14527.20162 | 11 | ✅ | Might require GMS / MicroG
| Prep Ladder | 2.0.79-p | 11 | ⚠️ | Video pane opens but no audio or video and time keeps on going
| Pydroid | 5.00_x86_64 | 11 | ✅
| Q-Dance | 8.0.7 | 11 | ❌ | App crashes
| QooApp | 8.3.35 | 13, 11 | ✅ | QooApp Servant may not work due to WSA's windowed nature
| QR &amp; Barcode Scanner (F-droid) | 1.10 | 13 | ⚠️ | Errors out with a `Unable to access camera` even using a built-in laptop camera | You can still generate QR codes for URLs and other stuff
| QR Scanner (F-droid) | 4.5.8 | 13 | ✅ | Does not work with a virtual camera | It can scan and generate QR codes
| QPython 3L | 3.0.0 | 11 | ✅
| QQ | 8.9.28 | 13, 12 | ❌ | App crashes
| QuickNovel | 3.1.4 | 13 | ✅
| Reddit || 11 | ✅
| Relay | 10.0.378 | 11 | ✅
| Remini - AI Photo Enhancer || 11 | ⚠️ | Oops! Something went wrong Your image didn't save. Please try again.
| Remote Desktop (Microsoft) | 10.0.12.1148 | 11 | ✅
| ReVanced Manager | 1.9.5 | 13 | ✅ | 
| Rider | 1.59 | 11 | ✅
| Robinhood - Food &amp; Booking | 2.2.2 | 12 | ⚠️ | App having trouble loading content. Maps &amp; Location picker don't work (Requires GMS). | You can log in only on one device at the same time. Previous device will log out upon signing in on new device.
| Rootless Launcher | 3.9.1 | 11 | ❌ | App crashes
| Rootless Pixel Launcher | 3.9.1 | 13 | ✅ |
| Ruler (F-Droid) | 1.1 | 12 | ❌ | While the app is correctly installed, the ruler lengths are wildly off-course no matter how much in-app calibration is done. | The app also refuses to recognise values above circa 100mm for the 70mm calibration line.
| Saikou β (Beta) | 1.2.1.0 | 13, 12 | ✅ || Some keyboard functionality is somewhat limited but usable (both media playback and manga reading)
| SAI (Split APKs Installer) (Play Store) | 4.5 | 12 | ✅ || Used rootless method only, not yet tested for rooted WSA
| SAI (Split APKs Installer) (F-Droid) | 4.5 | 12 | ✅ || Used rootless method only, not yet tested for rooted WSA
| SATRIA | 1.0.0 | 11 | ❌ | Needs fingerprint reader support
| SD Maid (pro) | 5.2.2 | 11 | ⚠️ | Unable to grant external storage privileges, can be skipped
| Settings | 13, API 33 | 13 | ⚠️ | Setting screen lock to "Swipe", makes it impossible to use any apps without re-installing the entire Subsystem, since no method is provided on the lock screen to swipe or otherwise unlock. Adding a Google account in the Account menu doesn't work (the settings app will quit if you just clicked back when adding a new Google account). "Backup" and "SOS Alarm" send the phone back to the main Settings menu. | Included by default in Subsystem. Accessed by creating a Windows shortcut with this path: `%LOCALAPPDATA%\Microsoft\WindowsApps\MicrosoftCorporationII.WindowsSubsystemForAndroid_8wekyb3d8bbwe\WsaClient.exe /launch wsa://com.android.settings`
| Shazam | 13.19.0-230223 | 13, 12 | ✅ | Shazam on pop-up doesn't work | Requires microphone for song identification
| Shein | 9.9.4 | 13 | ✅ || Keep it in portrait to be usable
| ShemarooMe | 1.0.16 (106) | 11 | ✅
| Shizuku (Play Store) | 13.5.3.r1036.fff3f87 | 13, 12, 11 | ✅ | Can't toggle wireless debugging in WSA 2207.40000.8.0 (android 12), use ADB on PC to use connect instead (even with dev options and USB debugging is on). | The service also works with root (Tested with Magisk)
| Shopee (PH) | 3.12.16 | 13, 11 | ✅ | Google login requires GMS installed (use Email or Facebook login as alternatives). Banner information is stretched horizontally 
| Shosetsu | 2.4.4 | 13, 12 | ✅ | Keyboard navigation is unsupported when reading light novel.
| Showtime | 3.1.1 | 11 | ❌ | App crashes when you try to login. Button clicks don't work
| SIM Toolkit (Google) | 12, API 32 | 12 | ❌ | Does not launch even with a shortcut.
| Simple Gallery | 5.3.9 | 11 | ❌ | App crashes when you try to view a photo
| Sky Map | 1.10.0 - RC3 | 11 | 🆖 | Complains about missing accelerometer controls, requires GMS
| Skype | 8.91.0.406 | 12 | ✅
| SkySafari | 6.8.6.15 | 11 | 🆖 | Failed license check on startup, appears to require GMS
| Slack | 21.11.20.0-B | 11 | ✅
| Smart | 3.3.4 | 13 | ✅ | Tested on WSA with GMS installed. The app works fine and all navigation options can be navigated.
| Smart Launcher | 5.5 Build 052 | 11 | ✅
| Smart Life | 3.32.5 | 11 | ❌ | The app is producing constant flashes between light and dark mode, and the UI element of agreement pop-up is moving on screen so it can't be accepted
| Smash Hit | 1.4.3 | 13 | ✅ |
| Snapchat || 11 | ⚠️ | Camera view is flipped | GMS warnings might appear but these can be safely ignored
| Solid Explorer File Manager | 2.8.28b | 12 | ✅
| SoundHound | 10.1.2 | 12 | ✅ |  | Ensure in Windows' audio settings that the microphone has a high enough sound level 
| Speedtest by Ookla | 4.8.0 (177906) | 12 | ✅ | VPN workaround is needed after installation to allow the app to create VPN connections.
| Spotify | 8.7.30.1221 | 12, 11 | ✅ | 
| Spotify Lite | 1.9.0.2883 | 11 | ✅
| Squircle IDE | v2022.1.2 | 12, 11 | ✅
| Steam | 2.3.13 | 11 | ✅
| Steam Chat | 1.0 | 11 | ✅
| Steam Link | 1.1.81 | 11 | ❌ | App crashes
| Stocard | 10.12.1 | 12 | ✅ || To log in to an earlier Stocard account that is set to use Google login, it needs to be transitioned from a Google-based account to an E-mail-based account, which has to be done on a phone.
| SwiFTP FTP Server (Free) (F-Droid) | 3.1 - 30100 | 13, 12, 11 | ✅ | A network connection is required for the FTP service to initialize. Does not work with `Local network access` turned on in WSA Settings
| SwiFTP Server | 1.24 | 11 | ✅
| Symbolab | 9.3.0 | 11 | ✅ || Keyboard not working, in-app keyboard is available though
| Sync for Reddit Pro | 20.0.3 | 11 | ✅
| Tachiyomi (Preview) | 0.15.3-6421 | 13, 12, 11 | ✅ | Notifications like "Large updates harm sources..." cut off. Sometimes, "Updating Library" progress bar doesn't show, requires to clear the Tachiyomi notification. | Some of the notifications will be missing due to the Windows Action Center limit of 20.
| Tachiyomi (Stable) | 0.15.3 | 13, 12, 11 | ✅ | Notifications like "Large updates harm sources..." cut off. Sometimes, "Updating Library" progress bar doesn't show, requires to clear the Tachiyomi notification. | Hovering the mouse pointer, highlights the input element. Some of the notifications will be missing due to the Windows Action Center limit of 20.
| TachiyomiAZ | 8.8.0-AZ | 13, 12, 11 | ✅
| TachiyomiJ2K/TachiJ2K | 1.7.4 | 13, 12, 11 | ✅ | Parsing links (from a browser) causes to open the Tachiyomi extension window or app picker dialog instead of opening TachiJ2K itself when you have multiple Tachiyomi forks are installed.
| TachiyomiSY | 1.10.2 | 13, 12, 11 | ✅
| Tap Tap | 3.1.1 | 12, 11 | ✅ | Sometimes freeze if you brute force the app, fixed by restarting the app
| TeamViewer | 15.22.136 | 11 | ✅
| Telegram | 8.1.2 | 11 | ✅
| Televizo | 1.9.0.1 | 11 | ❌ | Crashes on video playback
| Terminal Emulator for Android | 1.0.70-rebuild | 12 | ✅ | A warning shows up about the app being designed for older Android versions, but can be dismissed
| Termux (F-droid) | 0.118.0 | 13, 12, 11 |✅
| Tesla | 4.6.1 | 11 | ⚠️ | Vehicle graphics and maps do not load, cannot enable phone key. | Internet-based vehicle controls, charge stats, services are functional.
| The Globe and Mail | 6.2.0 (100) | 11 | ✅
| TIDAL | 2.49.0 | 11 | ✅
| TikTok (China) | 18.1.0 | 11 | ⚠️ | App crashes on first startup and you might face hiccups logging in
| TikTok (Global) | 25.0.3 | 12, 11 | ✅
| TikTok (TV Version) | 1.6.0 | 11 | ❌ | App crashes
| TikTok Lite | 21.7.1 | 11 | ❌ | App crashes
| Tivimate | 4.4.0 | 11 | ✅ | Compatibility Options -&gt; Force App to be non-resizeable ; Disable smooth resize ; Keyboard Compatibility ; ForceFullScreen [F11] Note: Version 4.5. And above force crashes, the latest working version remains 4.4.0
| TP-Link Tapo | 2.4.25 | 11 | ✅
| Trello | 2021.14.1.16332-production | 11 | ⚠️ | Login needs web browser installed in WSA, using Windows' default browser will not work
| Trust: Crypto &amp; Bitcoin Wallet | 6.57.1 | 12 | ✅ || For login, you have to go to Android settings =&gt; System =&gt; Date &amp; Time and toggle the "Set Time Automatically" option. you can access it by this command .\adb.exe shell "am start -n com.android.settings/.Settings"
| Tune In Pro | 28.7 (267721) | 11 | ✅
| Twitter | 9.16.1-release.00 | 11 | ✅ | Optionally requires GMS
| Twitter Lite | 3.1.1 | 12 | ✅ ||
| UC Browser | 13.0.0.1288 (x86) | 11 | ✅ || Avoid updating the app
| Uptodown App Store | 4.35 | 11 | ⚠️ | Keeps "analyzing device" on app details page, thus it's unable to download APKs.
| Vanced Manager | 2.6.2 (Crimson) | 11 | ✅
| Vanced MicroG | 0.2.22.212658 | 11 | ⚠️ | microG Google sign-in method does not work, hence use Huawei sign-in method to sign in to Google account
| Via Browser | 4.3.1 | 11 | ✅
| Viaplay | 5.48 | 12 | ✅ || Episode playback of at least Nella the Princess Knight works correctly, as does the phone-app-exclusive download functionality.
| Vidio | 5.64.5-f0aa483a3d | 11 | 🆖 || Might require GMS for login
| Vipps | 2.142.0 | 12 | ❌ | Shows an error message about requiring "Google Services", even if both Google Play Services and Google Services Framework APKs are installed
| Vivaldi Browser | 4.3.2439.61 | 11 | ✅
| VK | 6.58 | 11 | ✅
| VLC | 3.5.3 | 12, 11 | ✅ || Keyboard supported in media player
| VNeID | 2.1.0 | 13 | ❌ | According to Google Play Store, the app is incompatible. Indeed, after attempting to sideload the APK, it shows a blank screen on launch and constant notifications saying "Your device has been compromised"
| Voice Recorder | 55.1 | 12 | ✅ || com.media.bestrecorder.audiorecorder
| VSCO | 264 | 11 | ⚠️ | Cannot sign in
| Warden | 1.0.3.release | 11 | ⚠️ | App screen flashes otherwise functionality-wise its normal
| Wealthsimple Trade | 2.27.1 (2195) | 11 | ✅
| WeChat | 8.0.32 | 13, 12 | ✅
| WhatsApp | 2.21.20.20 | 11 | ⚠️ | WhatsApp cloud chat backups will not work, app was tested with microG installed
| Windscribe | 3.74.1243 | 13 | ✅ || VPN workaround is needed after installation to allow the app to create VPN connections.
| Word | 16.0.14430.20246 | 11 | ✅ || Might require microG
| Wulkanowy (F-Droid) | 1.4.3 | 11 | ✅
| Wulkanowy (Play Store) | 1.4.3 | 11 | 🆖
| Wyze | 2.30.0 | 11 | ✅
| Xbox Game Pass (Beta) | 2212.51 | 12 | ✅ || Everything works in this app, tested Cloud Gaming on Windows 11 build 25236 and WSA 2209.400. connected my Xbox Series X controller to PC and the app worked perfectly with it.
| Xbox Game Pass | 2211.42 | 12 | ✅ || Everything works in this app, tested Cloud Gaming on Windows 11 build 25236 and WSA 2209.400. connected my Xbox Series X controller to PC and the app worked perfectly with it.
| Xbox Family Settings | 20221104 | 12 | ✅
| Xbox Beta | 2211.2.7 | 12 | ✅
| Xbox | 2211.1.4 | 12 | ✅
| XBrowser | 3.7.7 | 11 | ✅
| xManager | 3.3 | 11 | ✅
| X-plore File Manager | 4.27.10 | 11 | ✅
| Yahoo! Fantasy Sports | 10.31.0 | 11 | ❌ | App crashes on launch
| Yandex.Maps | 10.6.0 | 11 | ⚠️ | Map doesn't work
| Ymusic | 3.7.2 | 11 | ✅
| Yodayo | 1.4.2 | 13 | ✅ | Requires GMS only when logging in using Google account. You can try logging in with e-mail instead. | 
| Yokai | 1.7.12 | 13 | ✅
| YouTube (Google)| 16.40.35 | 11 | 🆖 | Requires GMS
| YouTube Music (Google) | 5.07.50 | 11 | 🆖 | Requires GMS
| YouTube Music Vanced | 43.9.50 | 11 | ✅
| YouTube Music ReVanced | 6.19.51 | 13 | ✅ || Used the x86-64 version as base
| Youtube Vanced | 16.29.39 | 11 | ⚠️ | Picture-in-picture doesn't work &amp; Can't join channel membership
| ZArchiver | 0.9.5.8 (9596) | 11 | ✅
| Zenly (w/o GMS) | 4.55.2 | 11 | ⚠️ | App crashes after login, but background location works
| Zoom | 5.8.3.2634 | 11 | ⚠️ | Camera severely glitched, share screen doesn't work due to WSA's windowed nature.
| Æ | 2.0.7 | 12 | ✅ | Adding debit cards requires Vipps, an app that is shown above in this list as not working. | 
| 哔哩哔哩 (Bilibili) || 11 | ✅
| 酷安 (CoolApk) | 11.4.3 | 11 | ⚠️ | Unable to sign in using third-party apps
| 创建快捷方式 (Create Shortcut) | 1.17 | 11 | ✅ || Can be used to access any app
| মুনাজাতে মাকবূল ও মাসনূন দু'আ - Munajate Makbul | 1.0 | 11 | ✅
| 九黎 | 1.3.5.01 | 11 | ❌ | App crashes
| 米游社 (miHoYo Chinese Community) | 2.14.1 | 11 | ⚠️ | The app might lag when inserting a photo into a new post
| СберБанк (SberBank) | 12.9.0 | 11 | ✅
| Тинькофф (Tinkoff Bank) | 5.20.0 | 11 | ✅
| (腾讯会议国际版) VooV | 2.12.5.504 | 11 | ✅
| 微博 (Weibo) | 11.10.1 | 11 | ⚠️ | Cannot sign in using password, shows limit reached for verification codes
| 微博国际版 (Weibo International) | 3.9.8 | 11 | ⚠️ | Cannot sign in
| 微博极速版 (Weibo Fast) | 10.9.2 (4620) | 11 | ⚠️ | Cannot sign in
| 文件管理器+ | 2.7.1 | 11 | ✅
| 超星学习通 | 4.6.1 | 11 | ✅
| 超星学习通 | 5.0.3 | 11 | ❌ | Crashes on startup

### Games

| Game | Latest tested version | Android versions | Support level | Known Issues | Notes |
|-------------|-----------------------|------------------|---------------|--------------|-------|
| 2 3 4 Player Games | 3.8.8 | 12 | ✅ || Touchscreen is recommended for the Team vs. Team matches or some of the driving games
| 8 ball pool | 5.5.6 | 11 | ✅ |
| A Dance of Fire and Ice | 1.15.5 | 11 | ✅ || Keyboard supported
| AFK Arena | 1.72.01 | 11 | ⚠️ | Can't login using Google account
| AirTycoon Online 3 | 1.3.0 | 13 | ⚠️ | You need touchscreen for making the flight routes (using a tablet with spacedesk works just fine and is easy to set up)
| Alan Walker-The Aviation Game | 3.0.6 | 11 | ✅ || Touchscreen and cursor works; keyboard doesn't work
| Alien: Blackout | 2.0 | 11 | ⚠️ | Terrible in-game experience, includes poor performance and low FPS
| Alto's Adventure | 1.8.15 | 13, 11 | ✅
| Alto's Odyssey | 1.0.10 | 11 | ✅
| Among Us | 2022.7.12 | 12, 11 | ✅ | Keyboard may be unresponsive. | Xbox controller works.
| Angry Birds Epic | 3.0.27463.4821 | 11 | ⚠️ | Terrible in-game experience, bad performance and low FPS
| Animal Crossing: Pocket Camp | 5.0.2 | 12 | ❌ | error 802-1-01a-069-008 ||
| Arcaea | 3.8.8 | 11 | ⚠️ | Keyboard doesn't work on login/register form
| Archero | 4.8.2 | 12 | ✅ | Requires GMS and Play Games to load your cloud progress
| Arknights | 18.9.81 | 13 | ✅ | Stable FPS throughout the game using NVIDIA GeForce GTX 1650, AMD GPU untested.
| Arknights (明日方舟; Simplified Chinese) | 1.6.01 | 11 | ✅
| Arknights (CN Server) | 1.9.21 | 12 | ✅
| Asphalt 8 | 6.3.1a | 12 | ✅ | Keyboard supported in latest version (2206)
| Asphalt 9 || 11 | ⚠️ | Keyboard unsupported
| Avakin Life || 13 | ⚠️ | Low FPS with iGPUs
| Azur Lane | 6.1.2 | 12, 11 | ⚠️ | Sometimes stuck on downloading resources, can be fixed by restarting the app. Overall gameplay, got stable FPS using NVIDIA GeForce GTX 1050 Ti Mobile
| Bad Piggies HD | 2.4.3141 | 11 | ✅
| BanG Dream! Girls Band Party! | 4.5.0 | 11 | 🆖 | Requires GMS
| Battle Cats Quest | 1.0.4 | 11 | ✅
| Beat the Boss 4 | 1.7.7 | 13 | ✅
| Blue Archive (GB) | 1.53.225706 | 13 | 🆖 | Tested with GMS / Google login, stable framerate on High settings using NVIDIA GeForce GTX 1650.
| Blue Archive (ブルーアーカイブ; JP) | 1.35.231115 | 13 | ✅ | Installing the HEVC video extension (9NMZLZ57R3T7 or 9N4WGH0Z6VHQ) will work properly. If not installed, it will be stuck in black screen.
| Blue Archive (KR) | 1.39.146794 | 12, 11| ❌ | HEVC codec support required
| Blue Archive (KR, Onestore distributed) | 1.50.203922 | 13 | ✅ | Does not work with Nvidia graphics
| Brawl Stars | 38.159 | 11,13 | ❌ | Game crashes
| C.A.T.S (Crash Arena Turbo Stars) | 2.40.2 | 11 | ✅ | GMS warnings might appear but these can be safely ignored
| Candy Crush Saga | 1.213.2.1 (12132011) | 11 | ✅
| CarX Highway Racing | 1.17.1 | 11 | ⚠️ | Terrible in-game experience, includes poor performance and low FPS
| Clash Mini | 1.1142.10 | 11 | ❌ | App crashes
| Clash of Clans | 15.292.12 | 13 | ❌ | App crashes
| Clash Royale | 3.6.1 | 11 | ❌ | App crashes
| Clouds &amp; Sheep 2 | 1.4.6 | 11 | ✅ | Optionally uses GMS
| Command and Conquer: Rivals | 1.8.1 | 12, 11 | ✅ || It will pop up "Won't run without GPlay services" when starts, but works fine except GPlay login. You may use link email instead.
| Crazy Taxi Classic | 4.7 | 12 | ❌ | An error message on startup says "Download failed because the resources could not be found." | OBB installation has not yet been tested.
| Cricket (Play Games) | 2023.08.46243 | 13 | 🆖 || Requires GMS
| Death Palette (Matsuro) | 4.3.0 | 11 | ✅ | 
| Deus Ex GO | 2.1.111374 | 11 | ⚠️ | Terrible in-game experience, includes poor performance and low FPS
| Destiny Child | 2.8.6 | 11 | ⚠️ | Poor performance during battles
| Dwarf Balls | 3.5.2 | 11 | 🆖 | Requires GMS for Google Play login.
| Endless Frontier - Idle RPG | 3.5.3 | 12 | ❌ | OpenGL ES 3.1 is unsupported
| Epic Seven | 1.0.406 | 11 | ⚠️ | Low FPS, unable to sign in with Google
| Extreme Car Driving Simulator | 6.74.0 | 13, 12, 11 | ✅ | Keyboard &amp; controller supported
| F1 Mobile Racing | 5.1.11 | 13 - 7 | ❌ | No 3D rendering with any of the GPUs selected. Just shows a purple screen in game.
| Fancade | 1.7.6 | 11 | ❌ | App crashes
| Fate/Grand Order (US) FGO | 2.34.0 | 12, 11 | 🆖 || Require Google Play Services, skippable if you have Google Play Service (APK) installed
| Fire Emblem Heroes | 6.7.0 | 12, 11 | 🆖 | Requires GMS. If GMS is installed, it cannot be played due to SafetyNet error.
| Flappy Bird | 1.3 | 13 | ⚠️ | Crashes sometimes after 20 points if there's no internet for Google Play Games to be loaded on game startup, which indicates that this game might require GMS | Sideloaded
| Fortnite | 14.10.0 | 11 | ❌ | Crashes at login screen
| Fortnite Installer | 4.1.4 | 11 | ❌ | "Device not supported" error
| Fruit Ninja | 3.3.4 | 11 | ✅ | Version check error | Otherwise, other app functionality is fine
| Game Dev Story | 2.47 | 11 | ❌ | App can start but with infinite "loading" screen
| Garage: Bad Dream Adventure | 1.0.191 | 11 | ⚠️ | Stuck after start of Chapter 1
| Geometry Dash | 2.11 | 11 | ✅ | If you use high refresh rate monitor, there is a small period where the game speeds up before the level plays for the first time and the audio will get desynced. You can simply pause and resume or die once to fix it since it won't happen on second attempt.
| Girls' Frontline (EN) | 2.0900_375 | 12, 11 | ⚠️ || Sometimes freeze while downloading resources, fixed by restarting the app
| Golf Rival | 2.54.241 (88) | 11 | 🆖 | Requires GMS | Produces warnings about GMS. Issues include not being able to pan.
| Grand Theft Auto: San Andreas || 11 | ✅
| Guardian Tales | 2.53.1 | 12, 11 | 🆖 | Requires GMS
| Hatsune Miku: Colorful Stage! | 2.3.8 | 13 | ✅ | Game performs well with "lite" setting, frame drop in 3d  
| Hay Day | 1.55.93 (1706) | 1 | ❌ | App crashes on startup (Worked on 1.54.71 and earlier)
| Hill Climb Racing | 1.53.0 (501) | 11 | ✅
| Hitman Sniper | 1.7.193827 | 11 | ⚠️ | Terrible in-game experience, includes poor performance and low FPS
| Honkai Impact 3rd | 5.1.0 | 11 | ⚠️ | Poor graphics quality
| Hop Mania (Play Games) | 2023.08.46243 | 13 | 🆖 || Requires GMS, keyboard supported
| Hungry Shark Evolution || 11 | ✅
| iDOLM@STER Million Live! Theater Days | 4.0.401 | 11 | ⚠️ | Anything 3D with a moving background is broken, but everything 2D works perfectly | ARMv7 version is unusably slow, get ARM64
| Jet Car Stunts 2 | 1.0.13 | 11 | ❌ | Loads up but orientation and menus are broken
| Jetpack Joyride | 1.52.1 (58461800) | 11 | ⚠️ | Google Play Games sync doesn't work, otherwise the game functionality is fine
| KINGDOM HEARTS Uχ Dark Road | 4.4.0 (Offline) | 11 | ✅ | GMS warnings might appear but these can be safely ignored
| King of Thieves | 2.57.1 | ✅
| Konosuba:FD | 1.12.1 | 11 | 🆖 | Requires GMS
| Last Day On Earth: Survival || 11 | 🆖 | Might require GMS
| League of Legends: Wild Rift || 11 | ✅
| LIMBO Demo | 1.20 | 11 | ✅
| Love Live! All Stars | 3.6.0 | 12 | ⚠️ | Requires GMS, Hovers around 20-30 FPS with stuttering and slowdown on taps, requires root access and disabling SELinux. | Tested on a Ryzen 5 5600X and Nvidia RTX 3060 Ti
| Magic Tiles 3 | 8.086.201 | 11 | ✅
| MapleStory M | 1.9300.3921 | 13 | ✅ |
| Mario Kart Tour | 2.10.0 | 11 | ❌ | Fails to connect to servers after Nintendo login
| MementoMori: AFKRPG | 2.4.0 | 13 | ✅ | Rarely the game will show an error regarding connectivity issue, just restart the game and it'll work fine most of the time. If you experience black background in the battle scene, try restarting the game. | Might require GMS. Tested on i7-12700H and Laptop RTX 3060, and WSA with GMS installed.
| Minecraft (Aurora Store) | 1.17.40.06 | 11 | ❌ | Unable to verify game owner
| Minecraft (China Edition) || 11 | ✅
| Minecraft (Play Store) | 1.20.40.22 | 13, 11 | ⚠️ | Mouse and keyboard issue: The avatar doesn't look at the cursor in the main and game menus, as it should be on PC (and mouse and keyboard connected to Android device). While in the game, it does not recognize the mouse and instead the touchscreen controls will be used, but the keyboard works. Once entered into any text field (e.g. entering command in chat) and exited, the avatar now looks at the cursor again in the game and main menus; but back in the game, the camera no longer moves, and the letters, numbers and the spacebar on the keyboard no longer works, until you restart the app. Otherwise, it works with no issues.
| Minesweeper (Play Games) | 2023.08.46243 | 13 | ⚠️ | Barely playable: The game has portrait orientation but is rotated to the left, so mouse clicks don't correspond to what's displayed. Full screen makes this issue worse by cropping a portrait area on the left of what it was before full screen. | Requires GMS
| Mobile Legends | 1.6.66.7281 | 11 | ✅
| Monument Valley | 2.7.17 | 11 | ✅
| Monument Valley 2 | 2.0.3 | 11 | ✅
| Mortal Kombat X (APKPure) | 5.9.0 | 11 | ❌ | Stuck on initialization screen, message shows up saying "Download failed to start"
| Muse Dash | 3.3.0 | 11 - 6 | ❌ | Stuck on a black screen, nothing loads.
| My Little Pony World | 2022.2.0 aarch64 | 12 | ⚠️ | An authentication error warning about not being signed in with Google shows up on boot, but can be clicked past. The game is heavily graphically demanding on an x64 PC, averaging 15 FPS with an Nvidia 1050 Ti.
| My Talking Angela 2 (Play Store) | 2.2.4.21687 (ARM64_v8a) | 13 | ⚠️ | Does not resize into window, even when the "Resize" button (on the bottom right) is clicked on. Bug in Angela's tub (go to Bathroom → Tub): While grabbing the soap to massage Angela, the shower head briefly appears, then disappears in 1 second. | 
| NieR Re[in]carnation | 2.17.0 | 13, 12, 11 | 🆖 | Requires GMS to get past loading screen. If GMS is installed, terrible in-game experience, including poor performance and low FPS. | Tested on a Ryzen 9 5900X and Nvidia RTX 3080
| New Star Soccer | 4.27 | 13, 12, 11 | ✅ | Keyboard not supported
| osu!lazer | 2023.403.1 | 13 - 5 | ⚠️ | Runs with terrible performance, high latency, generally unplayable
| PAC-MAN (Play Games) | 2023.08.46243 | 13 | 🆖 || Requires GMS, keyboard supported
| PC Creator 2 - Computer Tycoon | 4.1.5 | 13 | ❌ | Mouse does not work with the tutorial, so it cannot be completed ||
| Penguin Isle | 1.59.1 | 13 - 5 | ✅ | Great performance, but UI size breaks with weird resolutions.
| Plants vs Zombies 2 | 10.9.1 | 13, 11 | ✅ | Cloud save using Google Play Games works if GMS is available
| Pojav Launcher | dahlia-209 | 12 | ✅ | Performance was great with an i7-10700K and an RTX 3060 Ti, but will probably be worse on lower hardware.
| Pokémon GO || 12, 11 | ❌ | This device, OS, or software is not compatible
| Pokémon Masters EX | 2.19.0 | 11 | ❌ | 10102 An error has occured.
| Pokémon Unite | 1.2.1.2 | 11 | ⚠️ | Battle experience is terrible
| Pou | 1.4.84 | 11 | ✅
| Prince of Persia: The Shadow and the Flame | 2.0.2 | 13, 12, 11 | ✅
| Princess Connect! Re: Dive (Korean) | 5.6.1 | 12 | ❌ | Only touch effect works after displaying the publisher logo
| Princess Connect! Re: Dive (Japanese) | 6.7.0 | 12 | ❌ | Only touch effect works after displaying the publisher logo
| Princess Connect! Re: Dive (Simplified Chinese) | 4.9.6 | 12 | ❌ | Only touch effect works after displaying "loading..."
| Princess Connect! Re: Dive (Traditional Chinese) | 2.9.0 | 11 | ⚠️ | Battle experience is terrible, cannot sync with Google Play Games
| Princess Connect! Re: Dive (Global) | 4.4.1 | 12 | ❌ | Only touch effect works after displaying the publisher logo
| Ragnarok M: Eternal Love EU | 1.0.70 | 11 | ✅
| Rayman Adventures | 3.9.95 ARMv7 | 12 | ✅ | Gameplay speed is tied to framerate, and even an Nvidia 1050 Ti occasionally gets slowdowns in the ARM version. | The game works well without major problems. The x86_64 version was discontinued after 3.9.0 and is no longer able to download game assets on first launch. Xbox Series controller works both with Bluetooth and USB, but only during levels.
| Rayman Classic | 1.0.1 | 11 | ✅
| Real Racing 3 | 10.1.0 | 12, 11 | ✅ | Only controller is supported. Keyboard doesn't work
| RFS - Real Flight Simulator | 1.6.1 | 12.1 | ⚠️ | Does not work with keyboard | Works only by connecting a controller or on PCs with touch
| Roblox | 2.499.381 | 11 | ⚠️ | Graphical anomalies | GMS warnings might appear but these can be safely ignored
| Rocket League Sideswipe | 1.0 (356721) | 11 | ❌ | OpenGL ES 3.1 is unsupported
| Sdorica | 4.5.3 | 13 | ✅ |
| Shadow Fight 2 | 2.16.0 | 11 | ⚠️ | Optionally uses GMS, doesn't support keyboard control makes fighting harder | GMS warnings might appear but these can be safely ignored, Cloud save requires GMS
| Shadow Fight 3 | 1.25.7 | 11 | ✅ | Optionally uses GMS, Cloud save using Facebook not working | Keyboard control is supported (uses the keys W, A, D, X for analog input), GMS warnings might appear but these can be safely ignored, Cloud save requires GMS
| Sky: Children of the Light | 0.15.1 | 11 | ❌ | OpenGL ES 3.1, Vulkan 1.0.3 and Vulkan level 0 missing
| Smash Hit | 1.4.3 | 11 | ✅
| Snake (Play Games) | 2023.08.46243 | 13 | ⚠️ | Full screen must be entered to correct orientation. On the other hand, sprites and assets might not be fully loaded if there's no internet connection. This might lead to anomalies such as invisible food, missing head | Requires GMS, keyboard supported
| Solitaire (Play Games) | 2023.08.46243 | 13 | 🆖 || Requires GMS, keyboard supported
| Standoff 2 | 0.16.6 | 11 | ⚠️ | Battle experience is terrible, includes micro-stutters
| Stardew Valley | 1.4.5.151 | 11 | ✅
| State of Survival | 1.13.40 | 11 | ✅
| Stickman Hook | 7.2.8 | 11 | ❌ | Game fails to initialize
| Strawberry Shortcake Dress Up Dreams | 1.4 | 12 | ❌ | An error message on startup says "Download Failed - An unexpected error occurred. (Error Code: 15)". The error log indicates that it relies on Google Services Framework. | 
| Subway Surfers | 2.24.2 | 11 | ✅ | Doesn't support keyboard control
| Suzy Cube | 1.0.12 | 12 | ❌ | Shows a black screen after the developer logo screen. The error log shows `Unity: NullReferenceException: A null value was found where an object instance was required.`
| Sword Art Online: Integral Factor| 1.9.2 | 11 | ✅ | Keyboard unsupported
| Sword Art Online: Memory Defrag | 3.0.2 | 11 | ✅ | Keyboard unsupported
| Sword Art Online: Unleash Blading | 3.2.0 | 11 | ⚠️ | Can't detect device
| Teamfight Tactics | 12.5.4259171 | 11 | ⚠️ | Crashes often before getting in game but after getting in, not many issues. Can get laggy at times but somewhat playable.
| Terraria | 1.4.3.2.2 | 11 | ✅ || Keyboard supported
| The Battle Cats | 11.2.1 | 11 | ✅
| The Battle of Polytopia | 2.0.59.5719 | 11 | ❌ | Validation error
| The King Of Fighters Allstar | 1.9.3 | 11 | ✅ | Blank screen/app crash on first boot, works on second boot upwards
| This War of Mine | 1.0 | 11 | ❌ | Infinite loop at start-up screen
| Traffic Racer | 3.5 | 13, 12, 11 | ✅ || Keyboard supported
| Toca Kitchen 2 | 2.2-play | 13 | ⚠️ | You can't access the game settings (or any swipe action) with a keyboard and mouse even with trackpad gestures | Recommended to use a touchscreen but it is also possible to play the game with just only the mouse.
| True Skate | 1.5.39 | 11 | ✅ | Minor graphical glitches
| Uma Musume: Pretty Derby (ウマ娘 プリティーダービー; JP) | 1.16.0 | 11 | ⚠️ | Doesn't work with Nvidia GeForce GTX 1660. Works with Microsoft Basic Render Driver with graphical issues. | Some features may require GMS.
| Uma Musume: Pretty Derby (ウマ娘 プリティーダービー; JP) | 1.20.0 | 12 | ❌ | Only touch effect works after displaying the developer logo
| Uma Musume: Pretty Derby (Korean) | 1.0.1 | 12 | ❌ | Only touch effect works after displaying the developer logo
| War Robots | 7.7.7 (134783) | 11 | ✅ | GMS warnings might appear but these can be safely ignored
| Warfare Incorporated | 1.63 | 11 | ✅ | The selection box does not work.
| Where is my Water? || 11 | ⚠️ | Many images are replaced with white rectangles
| Where is my Water? 2 || 11 | ⚠️ | Most images are replaced with white rectangles, Vignette overlay is full white and covered the whole playing area. The ground is not textured correctly.
| Where is my Water? Featuring XYY || 11 | ⚠️ | Bells are invisible
| Whirlybird (Play Games) | 2023.08.46243 | 13 | ❌ | The game cannot be controlled at all after pressing "START" | Requires GMS
| Wordament | 3.9.10260 | 11 | ✅
| Дурак Онлайн (Durak Online) | 1.9.2 | 11 | 🆖 | Requires GMS
| 白夜極光 (Alchemy Stars) | 1.2.2 | 11 | ⚠️ | Poor in-game performance
| 公主连结R (Princess Connect! Re: Dive (Simplified Chinese) | 3.4.10 | 11 | ✅
| 神魔之塔 (Tower of Saviors) | 2022.600 | 12 | ✅ | Gameplay and graphics are excellent, but the game will crash at random when downloading game data. | The first time you open it, it will have difficulty downloading game data because it will crash randomly; simply be patient and keep restarting.
| 云·原神 (Genshin Impact (Cloud app)) || 11 | ✅
| 原神（Genshin Impact）| 2.2.0 | 11 | ⚠️ | Working but heavy graphical glitches - [video](https://www.bilibili.com/video/BV1zT4y1o73D?)
| 崩坏学园2 (Honkai Gakuen 2) | 8.5 | 11 | ✅ || Game has inbox keyboard controller for WASD
| 東方LostWord (Touhou: Lost Word) | 1.16.0 | 11 | ❌
| 战双帕弥什 (Punishing: Gray Raven) || 11 | ✅ || Keyboard is supported
| プロジェクトセカイ カラフルステージ！ feat. 初音ミク (Project Sekai Colorful Stage JP) | 3.3.1.Luna | 13, 12, 11 | ⚠️ | Works well, sometimes FPS spikes when a lot of notes appear | Requires an account with progress on it to be able to skip the tutorial(on start screen click the 3 lines on the top right for account settings), if not, the game crashes or freezes on a blackscreen. Multi-Touch Display required. Starting a LIVE takes a while on slower machines.
| 世界計畫 繽紛舞台! feat. 初音未來 (Project Sekai Colorful Stage TW) | 2.3.1.10995 | 13, 12 | ❌ | App hangs when loading LIVE or crashes. Performance issues such as FPS spikes, freezing, etc. Broken textures and animations.
| Subtransit Drive | 1.0.7.2 | 11 | ❌ | Crashes at startup because Vulkan or OpenGL ES 3.1 is required
</details>

  


<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Usage%20Guide.md"><img height="60" src="https://img.icons8.com/external-xnimrodx-lineal-color-xnimrodx/96/null/external-guide-education-xnimrodx-lineal-color-xnimrodx.png" style="float: left;" width="60"/><h1><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Usage%20Guide.md">   Usage Guides</a></h1></a></summary>


### GPU Guide:
[<img src="https://img.shields.io/badge/-How%20to%20Change%20the%20GPU%20Used-474154?style=for-the-badge&amp;logoColor=white&amp;logo=github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Usage%20Guides/General%20Usage%20Guides/ChangingGPU.md)

### Sideload Guide/Installing an APK:
[<img src="https://img.shields.io/badge/-How%20to%20Sideload%20apps-474154?style=for-the-badge&amp;logoColor=white&amp;logo=github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Usage%20Guides/Sideloading%20Guides/Sideloading.md)

### Moving WSA to another drive or partition:
[<img src="https://img.shields.io/badge/-How%20to%20Move%20WSA%20to%20another%20drive%20or%20partition-474154?style=for-the-badge&amp;logoColor=white&amp;logo=github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Usage%20Guides/General%20Usage%20Guides/MoveToExtDrive.md)

### Installing KernelSU:
[<img src="https://img.shields.io/badge/-How%20to%20install%20KernelSU-474154?style=for-the-badge&amp;logoColor=white&amp;logo=github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Usage%20Guides/General%20Usage%20Guides/KernelSU.md)

### Installing BusyBox:

[<img src="https://img.shields.io/badge/-How%20to%20install%20BusyBox-474154?style=for-the-badge&amp;logoColor=white&amp;logo=github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Usage%20Guides/General%20Usage%20Guides/BusyBox.md)
      
### Localhost Loopback Guide:
      
[<img src="https://img.shields.io/badge/-Localhost%20Loopback-474154?style=for-the-badge&amp;logoColor=white&amp;logo=github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Usage%20Guides/General%20Usage%20Guides/LocalHostLoopback.md) 

### Remove Non-Existent App Entries: 

[<img src="https://img.shields.io/badge/-Remove%20Non--Existent%20App%20Entries-474154?style=for-the-badge&amp;logoColor=white&amp;logo=github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Usage%20Guides/General%20Usage%20Guides/Remove%20Non%20Existent%20Entries.md) 


</details>


 

<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Having%20Issues.md"><img height="60" src="https://img.icons8.com/external-soft-fill-juicy-fish/96/null/external-bug-coding-and-development-soft-fill-soft-fill-juicy-fish-2.png" style="float: left;" width="60"/><h1><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Having%20Issues.md">   Having Issues?</a></h1></a></summary>

### Common Issues:
[<img src="https://img.shields.io/badge/-Fix%20Extraction%20Errors-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/Extraction%20Errors.md)


[<img src="https://img.shields.io/badge/-Fix%20Install.ps1%20Issue-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/FixInstallps1.md)

[<img src="https://img.shields.io/badge/-Fix Virtualization and Virtual Machine Platform Error-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Post-Install%20Issues/FixVirtError.md)

[<img src="https://img.shields.io/badge/-Fix%20Error%200x80073CF0-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/Fix%20Error%200x80073CF0.md)

[<img src="https://img.shields.io/badge/-Fix%20Error%200x80073CFB-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/Fix%20Error%200x80073CFB.md)

[<img src="https://img.shields.io/badge/-Fix%20Error%200x80073CFD-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/Fix%20Error%200x80073CFD.md)

[<img src="https://img.shields.io/badge/-Fix%20Error%200x80073CF6-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/Fix%20Error%200x80073CF6.md)

[<img src="https://img.shields.io/badge/-Fix%20Error%200x80073CF9-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/Fix%20Error%200x80073CF9.md)

[<img src="https://img.shields.io/badge/-Fix%20Error%200x80073D10-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/Fix%20Error%200x80073D10.md)
      
[<img src="https://img.shields.io/badge/-NamedResource%20Not%20Found:%20Fix%20Error%200x80073B17-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/NamedResource%20Not%20Found%20-%20Fix%20Error%200x80073B17.md)    

[<img src="https://img.shields.io/badge/-Fix%20Internet%20Security%20Settings%20Blocks%20Installation-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/InternetSecuritySettingsBlock.md)

[<img src="https://img.shields.io/badge/-Fix%20Keyboard%20Not%20Working%20In%20WSA-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Post-Install%20Issues/Keyboard%20Is%20Not%20Working.md)

[<img src="https://img.shields.io/badge/-Fix%20Path%20Too%20Long-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/FixPathTooLong.md)

[<img src="https://img.shields.io/badge/-Fix%20Missing%20Icons%20Issue-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Post-Install%20Issues/MissingIcons.md)

[<img src="https://img.shields.io/badge/-Fix%20Target%20Machine%20Actively%20Refused%20Connection-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Post-Install%20Issues/TargetMachineActivelyRefusedConnection.md)
      
[<img src="https://img.shields.io/badge/-Google%20Play%20Issues-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Post-Install%20Issues/Google%20Play%20Issues.md)  

[<img src="https://img.shields.io/badge/-WSA%20Settings%20App%20Crashes%20%2B%20Android%20Apps%20Do%20Not%20Load%20After%20Installation-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Post-Install%20Issues/WSA%20Settings%20App%20Crashes%20%2B%20Android%20Apps%20Do%20Not%20Load%20After%20Installation.md)   

[<img src="https://img.shields.io/badge/-WSA Does Not Load After Install %2B No Splashscreen-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Post-Install%20Issues/WSA%20Does%20Not%20Load%20After%20Install%20%2B%20No%20Splashscreen.md) 

[<img src="https://img.shields.io/badge/-WSA%20Stopped%20Working!-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Post-Install%20Issues/WSA%20Stopped%20Working!.md) 

[<img src="https://img.shields.io/badge/-Install.ps1%20Failed%20To%20Update-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/InstallPs1FailedToUpdate.md) 

[<img src="https://img.shields.io/badge/-Appx%20Module%20Cannot%20Be%20Loaded-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/Appx%20Module%20Cannot%20Be%20Loaded.md) 

[<img src="https://img.shields.io/badge/-Specified%20Logon%20Error-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Pre-Install%20Issues/Specified%20Logon%20Error.md) 

[<img src="https://img.shields.io/badge/-Fix%20Internet%20Issues-%23EF2D5E?style=for-the-badge&amp;logoColor=white&amp;logo=Github"/>](https://github.com/MustardChef/WSABuilds/blob/master/Documentation/Fix%20Guides/Post-Install%20Issues/FixInternet.md)



</details>  

 
      
<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Custom%20Builds.md"><img height="60" src="https://img.icons8.com/fluency/96/request-service.png" style="float: left;" width="60"/><h1><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Custom%20Builds.md">   Custom Builds Requests</a></h1></a></summary>
<h3>   ❓Want to request a prebuilt custom build❓ <h3>
<h4> If you can't find the build that you are looking for, I will be happy to fufill any custom build requests. <h4>
<h4> Open an issue in the [Issues page](https://github.com/MustardChef/WSABuilds/issues) with the information below. <h4> 
   
&gt; [!IMPORTANT]
&gt; - State the [Device Model](https://github.com/WSABuilds/MagiskOnWSALocal#--custom-model) (Default: Pixel 5)? <br/> - Root Solution (Magisk, KernelSU or none)? <br/> - If you want a WSA build with Magisk, what [variant of magisk](https://github.com/WSABuilds/MagiskOnWSALocal#--magisk-ver) would you like? <br/> - Would you like GApps (Google Play Store and Play Services (GMS))? <br/> - Would you like to keep the Amazon Appstore? 
</h4></h4></h4></h4></h3></h3>
</details>      

    
      
<details>
<summary><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Credits.md"><img height="60" src="https://img.icons8.com/external-flaticons-lineal-color-flat-icons/64/null/external-credits-movie-theater-flaticons-lineal-color-flat-icons.png" style="float: left;" width="60"/><h1><a href="https://github.com/MustardChef/WSABuilds/blob/master/Documentation/WSABuilds/Credits.md">   Credits</a></h1></a></summary>
<table>
<thead>
<tr>
<th>Resource</th>
<th>Authors</th>
<th>Description of resource used<br/></th>
<th>License</th>
<th>In Use?<br/></th>
</tr>
</thead>
<tbody>
<tr>
<td><a href="https://github.com/LSPosed/MagiskOnWSALocal" rel="noopener noreferrer" target="_blank">MagiskOnWSALocal</a></td>
<td>LSPosed and contributors</td>
<td>Set of scripts and utilities used by this project to integrate Magisk root and Google Apps into WSA.</td>
<td><a href="https://github.com/LSPosed/MagiskOnWSALocal/blob/main/LICENSE" rel="noopener noreferrer" target="_blank">AGPLv3</a></td>
<td>✅</td>
</tr>
<tr>
<td><a href="https://github.com/YT-Advanced/WSA-Script" rel="noopener noreferrer" target="_blank">WSA-Script</a></td>
<td>YT-Advanced and contributors</td>
<td>Github Action workflow implementation of MagiskOnWSALocal, similar to the original MagiskOnWSA repo (taken-down). The GitHub workflows used in this repo are based on the workflows avaliable in this project.</td>
<td><a href="https://github.com/YT-Advanced/WSA-Script/blob/main/LICENSE" rel="noopener noreferrer" target="_blank">AGPLv3</a></td>
<td>✅</td>
</tr>
<tr>
<td><a href="https://github.com/cinit/WSAPatch" rel="noopener noreferrer" target="_blank">WSAPatch</a></td>
<td>Cinit</td>
<td>Patches for WSA to enable WSA (Windows Subsystem for Android) to run on Windows 10, used in the WSA builds for Windows 10.</td>
<td><a href="https://github.com/cinit/WSAPatch/blob/main/LICENSE" rel="noopener noreferrer" target="_blank">Unlicenced License</a></td>
<td>✅</td>
</tr>
<tr>
<td><a href="https://commons.wikimedia.org/wiki/File:Windows_logo_-_2012_(dark_blue).svg" rel="noopener noreferrer" target="_blank">Windows 10 Logo</a></td>
<td>Microsoft (Original Author), AkshayAnand (Image)</td>
<td>WIndows 10 Logo used in this repo. Follows Microsoft's Brand/Trademark Guidelines.</td>
<td>Public Domain</td>
<td>✅</td>
</tr>
<tr>
<td><a href="https://commons.wikimedia.org/wiki/File:Windows_logo_-_2021.svg" rel="noopener noreferrer" target="_blank">Windows 11 Logo</a></td>
<td>Microsoft (Original Author), OAOV (Image)</td>
<td>WIndows 11 Logo used in this repo. Follows Microsoft's Brand/Trademark Guidelines.</td>
<td>Public Domain</td>
<td>✅</td>
</tr>
<tr>
<td><a href="https://commons.wikimedia.org/wiki/File:Windows_10-Logo.png" rel="noopener noreferrer" target="_blank">WIndows 10 Logo with "Windows" wordmark</a></td>
<td>Microsoft</td>
<td>WIndows 10 Logo used in this repo. Follows Microsoft's Brand/Trademark Guidelines.<br/></td>
<td><a href="https://creativecommons.org/licenses/by-sa/4.0/" rel="noopener noreferrer" target="_blank">CC-BY-SA 4.0</a><br/></td>
<td>✅</td>
</tr>
<tr>
<td><a href="https://commons.wikimedia.org/wiki/File:Windows_11_logo.svg" rel="noopener noreferrer" target="_blank">WIndows 11 Logo with "Windows" wordmark</a></td>
<td>Microsoft</td>
<td>WIndows 11 Logo used in this repo. Follows Microsoft's Brand/Trademark Guidelines.</td>
<td>Public Domain</td>
<td>✅</td>
</tr>
<tr>
<td>Icons8</td>
<td>Icons8</td>
<td>Some icons used in this repo were obtained from Icons8. To view the specific icons used, check the raw Markdown and HTML files,</td>
<td><a href="https://icons8.com/license" rel="noopener noreferrer" target="_blank">Icons8 License</a></td>
<td>✅</td>
</tr>
<td>wsa-app-compatibility</td>
<td>riverar and contributors</td>
<td>App compatibility table has been obtained from this repo</td>
<td>No License</td>
<td>✅</td>
</tbody>
</table>

---

### Other Projects used as reference or referenced

- [WSA-Sideloader](https://github.com/infinitepower18/WSA-Sideloader/): Easily sideload Android apps on Windows Subsystem for Android  

- [WSAPacman](https://github.com/alesimula/wsa_pacman): A GUI package manager and package installer for Windows Subsystem for Android (WSA) 

- [APK-Installer](https://github.com/Paving-Base/APK-Installer): An Android Application Installer for Windows 

- [StoreLib](https://github.com/StoreDev/StoreLib): API for downloading WSA

- [Magisk](https://github.com/topjohnwu/Magisk): The Magic Mask for Android

- [KernelSU](https://github.com/tiann/KernelSU): A Kernel based root solution for Android

- [WSAGAScript](https://github.com/ADeltaX/WSAGAScript): The first GApps integration script for WSA

- [MagiskOnWSA](https://github.com/LSPosed/MagiskOnWSA): `Deprecated` Integrate Magisk root and Google Apps into WSA

<br/>

---

### Is this GitHub Repo affiliated with Microsoft™?

<center><h3>NO!</h3></center>

###### - Microsoft and the Dev team at MSFT are the developers of Windows Subsystem For Android. We do not claim to develop, or have a part in developing this emulator. We also have no real influence on the direction of development of WSA and nor do we claim to.

###### - What the WSABuild repo does is that it provides prebuilt WSA builds with Root and GMS built using the MagiskOnWSALocal project (and WSAPatch for the Windows 10 patch.) That is that we simply modify the emulator to add extra functionality to it.

###### - All this is, is an unofficial project not related in any way to Microsoft and the team working on Windows Subsystem For Android.

---

### Is this GitHub Repo affiliated with Google™ or Android™?

<center><h3>NO!</h3></center>

###### This is an unofficial project not related in any way to Google and the team working on Android.

---

<br/>

&gt; [!IMPORTANT]
&gt; ***The repository is provided as a utility.***
&gt;***Android is a trademark of Google LLC. Windows™ and Windows Subsystem for Android™ are trademarks of Microsoft LLC.***

</details>
</center>


---




- ##### This GitHub repository/project is license under the "AGPL v3" License.
   - ([License File](https://github.com/MustardChef/WSABuilds/blob/master/LICENSE)) 
- ##### ["WSABuilds Project Logo"](https://github.com/MustardChef/WSABuilds/assets/68516357/35cd1d5d-e464-4eb8-a676-b451341f65ad) and other media (images and videos) are licensed under "Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International" License.
   - ([License File](https://github.com/MustardChef/WSABuilds/blob/master/LICENSE-CC-BY-NC-ND))
- ##### Images from Icons8.com are licensed under the Icons8 License.
   - ([License](https://intercom.help/icons8-7fb7577e8170/en/articles/5534926-universal-multimedia-license-agreement-for-icons8))

Please read the following Licenses in full before copy, modifiying, adapting and forking any of the content, code, images, videos and/or information from this GitHub repository.
